
public class SJIS2UNICODE {

	/**
	 * ^ꂽ SJIS  Unicode ɕϊB
	 * <pre>
	 * : p[^́̕AJava ̒ʏ̑ł݂͑Ȃ
	 * `ԂłB
	 * : ''	Unicode	SJIS
	 * 		0x3042	0x82A0
	 *
	 * ch = '\u82A0' SJIS  Unicode i[ׂ ch ɉłB
	 * ́APɕϊe[u𗘗p邽߂ɑ݂钆ԓI
	 * ̊i[ԂłB
	 *
	 * ʏ̑(JDK1.0.2 ̃RpČ̊i[A
	 * ̑ java API 𗘗p()̎擾ł
	 * 0x0082, 0x00A0 ƂԂ char[] Ƃē͂łB
	 * ǂɂ͌Ă邪AƂ JDK1.0.2  API ł
	 * char ̏ʃoCg 0x00 ȊO쐬邱Ƃ͍݂蓾ȂB
	 * </pre>
	 *
	 * @param ch SJIS R[h܂񂾕(char)
	 * @return ϊ Unicode 
	 */
	public final static char convert(char ch){
		int high = (ch >>8) & 0xff;
		char uc;
		int low = ch & 0xff;

                if ((high | low & 0x80) == 0) {         // ASCII,JIS-ROMAN
                        //debug.printlnHexChar(" -> ", ch);
                        return ch;
                } else if ((high &0x80) == 0 && (low >= 0xA0 && low < 0xE0)) {   // HANKAKU-KANA
                        //debug.printlnHexChar(" -> ", table3.charAt(low-0xA1));
                        return table3.charAt(low - 0xA1);
                } else if (high > 0x80 && high < 0xA0) {
                        //debug.printlnHexChar(" -> ", table1.charAt((high-0x81)*(0xFC-0x3F)+low-0x40));
                        return table1.charAt((high-0x81)*(0xFC-0x3F)+ low-0x40);
                        //return table1.charAt(ch - 0x8140);// CJK
                } else {
                        //debug.printlnHexChar(" -> ", table2.charAt((high-0xE040)*(0xFC-0x3F)+ low-0x40));
                        return table2.charAt((high-0xE040)*(0xFC-0x3F)+ low-0x40);// CJK
                }
	}

	/**
	 * ^ꂽ SJIS  Unicode ɕϊB
	 * @param hi SJIS ̏ʃoCgi[ char!! (byte ł͂Ȃ)
	 * @param lo SJIS ̉ʃoCgi[ char!! (byte ł͂Ȃ)
	 * @return ϊ Unicode 
	 */
	public final static char convert(char hi, char lo){
                return convert((char)((hi << 8) | lo));
	}

	/**
	 * ^ꂽ SJIS  Unicode ɕϊB
	 * @param str SJIS R[hŊi[ꂽBȅʃoCg
	 * 		0x00 łB(SJIS  1  char x 2 ̗̈
	 *		[ĂB
	 * @return ϊ Unicode 
	 */
	public final static String convert(String str){
        	char [] buf = new char[str.length()];
        	int len = 0;

		for (int i=0; i<str.length();i++){
			char ch = str.charAt(i);

                        if ((ch & 0xff00) != 0 || (ch & 0x0080) == 0){
                                buf[len++] = ch;
                                //continue;
                        } else if (ch >= 0xA0 && ch < 0xE0) {
                                buf[len++]=convert(ch);
                                //continue;
                        } else {
                                buf[len++]=convert(ch, str.charAt(++i));
			}
                } 
		return new String(buf, 0, len);
	}

        static String table1 = 
	/* 0x8140 - 0x81FC */
	/* 8140 */ "\u3000\u3001\u3002\uff0c\uff0e\u30fb\uff1a\uff1b"+
	/* 8148 */ "\uff1f\uff01\u309b\u309c\u00b4\uff40\u00a8\uff3e"+
	/* 8150 */ "\uffe3\uff3f\u30fd\u30fe\u309d\u309e\u3003\u4edd"+
	/* 8158 */ "\u3005\u3006\u3007\u30fc\u2015\u2010\uff0f\\"+
	/* 8160 */ "\u301c\u2016\uff5c\u2026\u2025\u2018\u2019\u201c"+
	/* 8168 */ "\u201d\uff08\uff09\u3014\u3015\uff3b\uff3d\uff5b"+
	/* 8170 */ "\uff5d\u3008\u3009\u300a\u300b\u300c\u300d\u300e"+
	/* 8178 */ "\u300f\u3010\u3011\uff0b\u2212\u00b1\u00d7\u0000"+
	/* 8180 */ "\u00f7\uff1d\u2260\uff1c\uff1e\u2266\u2267\u221e"+
	/* 8188 */ "\u2234\u2642\u2640\u00b0\u2032\u2033\u2103\uffe5"+
	/* 8190 */ "\uff04\u00a2\u00a3\uff05\uff03\uff06\uff0a\uff20"+
	/* 8198 */ "\u00a7\u2606\u2605\u25cb\u25cf\u25ce\u25c7\u25c6"+
	/* 81A0 */ "\u25a1\u25a0\u25b3\u25b2\u25bd\u25bc\u203b\u3012"+
	/* 81A8 */ "\u2192\u2190\u2191\u2193\u3013\u0000\u0000\u0000"+
	/* 81B0 */ "\u0000\u0000\u0000\u0000\u0000\u0000\u0000\u0000"+
	/* 81B8 */ "\u2208\u220b\u2286\u2287\u2282\u2283\u222a\u2229"+
	/* 81C0 */ "\u0000\u0000\u0000\u0000\u0000\u0000\u0000\u0000"+
	/* 81C8 */ "\u2227\u2228\u00ac\u21d2\u21d4\u2200\u2203\u0000"+
	/* 81D0 */ "\u0000\u0000\u0000\u0000\u0000\u0000\u0000\u0000"+
	/* 81D8 */ "\u0000\u0000\u2220\u22a5\u2312\u2202\u2207\u2261"+
	/* 81E0 */ "\u2252\u226a\u226b\u221a\u223d\u221d\u2235\u222b"+
	/* 81E8 */ "\u222c\u0000\u0000\u0000\u0000\u0000\u0000\u0000"+
	/* 81F0 */ "\u212b\u2030\u266f\u266d\u266a\u2020\u2021\u00b6"+
	/* 81F8 */ "\u0000\u0000\u0000\u0000\u25ef"+
	/* 0x8240 - 0x82FC */
	/* 8240 */ "\u0000\u0000\u0000\u0000\u0000\u0000\u0000\u0000"+
	/* 8248 */ "\u0000\u0000\u0000\u0000\u0000\u0000\u0000\uff10"+
	/* 8250 */ "\uff11\uff12\uff13\uff14\uff15\uff16\uff17\uff18"+
	/* 8258 */ "\uff19\u0000\u0000\u0000\u0000\u0000\u0000\u0000"+
	/* 8260 */ "\uff21\uff22\uff23\uff24\uff25\uff26\uff27\uff28"+
	/* 8268 */ "\uff29\uff2a\uff2b\uff2c\uff2d\uff2e\uff2f\uff30"+
	/* 8270 */ "\uff31\uff32\uff33\uff34\uff35\uff36\uff37\uff38"+
	/* 8278 */ "\uff39\uff3a\u0000\u0000\u0000\u0000\u0000\u0000"+
	/* 8280 */ "\u0000\uff41\uff42\uff43\uff44\uff45\uff46\uff47"+
	/* 8288 */ "\uff48\uff49\uff4a\uff4b\uff4c\uff4d\uff4e\uff4f"+
	/* 8290 */ "\uff50\uff51\uff52\uff53\uff54\uff55\uff56\uff57"+
	/* 8298 */ "\uff58\uff59\uff5a\u0000\u0000\u0000\u0000\u3041"+
	/* 82A0 */ "\u3042\u3043\u3044\u3045\u3046\u3047\u3048\u3049"+
	/* 82A8 */ "\u304a\u304b\u304c\u304d\u304e\u304f\u3050\u3051"+
	/* 82B0 */ "\u3052\u3053\u3054\u3055\u3056\u3057\u3058\u3059"+
	/* 82B8 */ "\u305a\u305b\u305c\u305d\u305e\u305f\u3060\u3061"+
	/* 82C0 */ "\u3062\u3063\u3064\u3065\u3066\u3067\u3068\u3069"+
	/* 82C8 */ "\u306a\u306b\u306c\u306d\u306e\u306f\u3070\u3071"+
	/* 82D0 */ "\u3072\u3073\u3074\u3075\u3076\u3077\u3078\u3079"+
	/* 82D8 */ "\u307a\u307b\u307c\u307d\u307e\u307f\u3080\u3081"+
	/* 82E0 */ "\u3082\u3083\u3084\u3085\u3086\u3087\u3088\u3089"+
	/* 82E8 */ "\u308a\u308b\u308c\u308d\u308e\u308f\u3090\u3091"+
	/* 82F0 */ "\u3092\u3093\u0000\u0000\u0000\u0000\u0000\u0000"+
	/* 82F8 */ "\u0000\u0000\u0000\u0000\u0000"+
	/* 0x8340 - 0x83FC */
	/* 8340 */ "\u30a1\u30a2\u30a3\u30a4\u30a5\u30a6\u30a7\u30a8"+
	/* 8348 */ "\u30a9\u30aa\u30ab\u30ac\u30ad\u30ae\u30af\u30b0"+
	/* 8350 */ "\u30b1\u30b2\u30b3\u30b4\u30b5\u30b6\u30b7\u30b8"+
	/* 8358 */ "\u30b9\u30ba\u30bb\u30bc\u30bd\u30be\u30bf\u30c0"+
	/* 8360 */ "\u30c1\u30c2\u30c3\u30c4\u30c5\u30c6\u30c7\u30c8"+
	/* 8368 */ "\u30c9\u30ca\u30cb\u30cc\u30cd\u30ce\u30cf\u30d0"+
	/* 8370 */ "\u30d1\u30d2\u30d3\u30d4\u30d5\u30d6\u30d7\u30d8"+
	/* 8378 */ "\u30d9\u30da\u30db\u30dc\u30dd\u30de\u30df\u0000"+
	/* 8380 */ "\u30e0\u30e1\u30e2\u30e3\u30e4\u30e5\u30e6\u30e7"+
	/* 8388 */ "\u30e8\u30e9\u30ea\u30eb\u30ec\u30ed\u30ee\u30ef"+
	/* 8390 */ "\u30f0\u30f1\u30f2\u30f3\u30f4\u30f5\u30f6\u0000"+
	/* 8398 */ "\u0000\u0000\u0000\u0000\u0000\u0000\u0000\u0391"+
	/* 83A0 */ "\u0392\u0393\u0394\u0395\u0396\u0397\u0398\u0399"+
	/* 83A8 */ "\u039a\u039b\u039c\u039d\u039e\u039f\u03a0\u03a1"+
	/* 83B0 */ "\u03a3\u03a4\u03a5\u03a6\u03a7\u03a8\u03a9\u0000"+
	/* 83B8 */ "\u0000\u0000\u0000\u0000\u0000\u0000\u0000\u03b1"+
	/* 83C0 */ "\u03b2\u03b3\u03b4\u03b5\u03b6\u03b7\u03b8\u03b9"+
	/* 83C8 */ "\u03ba\u03bb\u03bc\u03bd\u03be\u03bf\u03c0\u03c1"+
	/* 83D0 */ "\u03c3\u03c4\u03c5\u03c6\u03c7\u03c8\u03c9\u0000"+
	/* 83D8 */ "\u0000\u0000\u0000\u0000\u0000\u0000\u0000\u0000"+
	/* 83E0 */ "\u0000\u0000\u0000\u0000\u0000\u0000\u0000\u0000"+
	/* 83E8 */ "\u0000\u0000\u0000\u0000\u0000\u0000\u0000\u0000"+
	/* 83F0 */ "\u0000\u0000\u0000\u0000\u0000\u0000\u0000\u0000"+
	/* 83F8 */ "\u0000\u0000\u0000\u0000\u0000"+
	/* 0x8440 - 0x84FC */
	/* 8440 */ "\u0410\u0411\u0412\u0413\u0414\u0415\u0401\u0416"+
	/* 8448 */ "\u0417\u0418\u0419\u041a\u041b\u041c\u041d\u041e"+
	/* 8450 */ "\u041f\u0420\u0421\u0422\u0423\u0424\u0425\u0426"+
	/* 8458 */ "\u0427\u0428\u0429\u042a\u042b\u042c\u042d\u042e"+
	/* 8460 */ "\u042f\u0000\u0000\u0000\u0000\u0000\u0000\u0000"+
	/* 8468 */ "\u0000\u0000\u0000\u0000\u0000\u0000\u0000\u0000"+
	/* 8470 */ "\u0430\u0431\u0432\u0433\u0434\u0435\u0451\u0436"+
	/* 8478 */ "\u0437\u0438\u0439\u043a\u043b\u043c\u043d\u0000"+
	/* 8480 */ "\u043e\u043f\u0440\u0441\u0442\u0443\u0444\u0445"+
	/* 8488 */ "\u0446\u0447\u0448\u0449\u044a\u044b\u044c\u044d"+
	/* 8490 */ "\u044e\u044f\u0000\u0000\u0000\u0000\u0000\u0000"+
	/* 8498 */ "\u0000\u0000\u0000\u0000\u0000\u0000\u0000\u2500"+
	/* 84A0 */ "\u2502\u250c\u2510\u2518\u2514\u251c\u252c\u2524"+
	/* 84A8 */ "\u2534\u253c\u2501\u2503\u250f\u2513\u251b\u2517"+
	/* 84B0 */ "\u2523\u2533\u252b\u253b\u254b\u2520\u252f\u2528"+
	/* 84B8 */ "\u2537\u253f\u251d\u2530\u2525\u2538\u2542\u0000"+
	/* 84C0 */ "\u0000\u0000\u0000\u0000\u0000\u0000\u0000\u0000"+
	/* 84C8 */ "\u0000\u0000\u0000\u0000\u0000\u0000\u0000\u0000"+
	/* 84D0 */ "\u0000\u0000\u0000\u0000\u0000\u0000\u0000\u0000"+
	/* 84D8 */ "\u0000\u0000\u0000\u0000\u0000\u0000\u0000\u0000"+
	/* 84E0 */ "\u0000\u0000\u0000\u0000\u0000\u0000\u0000\u0000"+
	/* 84E8 */ "\u0000\u0000\u0000\u0000\u0000\u0000\u0000\u0000"+
	/* 84F0 */ "\u0000\u0000\u0000\u0000\u0000\u0000\u0000\u0000"+
	/* 84F8 */ "\u0000\u0000\u0000\u0000\u0000"+
	/* 0x8540 - 0x85FC */
	/* 8540 */ "\u0000\u0000\u0000\u0000\u0000\u0000\u0000\u0000"+
	/* 8548 */ "\u0000\u0000\u0000\u0000\u0000\u0000\u0000\u0000"+
	/* 8550 */ "\u0000\u0000\u0000\u0000\u0000\u0000\u0000\u0000"+
	/* 8558 */ "\u0000\u0000\u0000\u0000\u0000\u0000\u0000\u0000"+
	/* 8560 */ "\u0000\u0000\u0000\u0000\u0000\u0000\u0000\u0000"+
	/* 8568 */ "\u0000\u0000\u0000\u0000\u0000\u0000\u0000\u0000"+
	/* 8570 */ "\u0000\u0000\u0000\u0000\u0000\u0000\u0000\u0000"+
	/* 8578 */ "\u0000\u0000\u0000\u0000\u0000\u0000\u0000\u0000"+
	/* 8580 */ "\u0000\u0000\u0000\u0000\u0000\u0000\u0000\u0000"+
	/* 8588 */ "\u0000\u0000\u0000\u0000\u0000\u0000\u0000\u0000"+
	/* 8590 */ "\u0000\u0000\u0000\u0000\u0000\u0000\u0000\u0000"+
	/* 8598 */ "\u0000\u0000\u0000\u0000\u0000\u0000\u0000\u0000"+
	/* 85A0 */ "\u0000\u0000\u0000\u0000\u0000\u0000\u0000\u0000"+
	/* 85A8 */ "\u0000\u0000\u0000\u0000\u0000\u0000\u0000\u0000"+
	/* 85B0 */ "\u0000\u0000\u0000\u0000\u0000\u0000\u0000\u0000"+
	/* 85B8 */ "\u0000\u0000\u0000\u0000\u0000\u0000\u0000\u0000"+
	/* 85C0 */ "\u0000\u0000\u0000\u0000\u0000\u0000\u0000\u0000"+
	/* 85C8 */ "\u0000\u0000\u0000\u0000\u0000\u0000\u0000\u0000"+
	/* 85D0 */ "\u0000\u0000\u0000\u0000\u0000\u0000\u0000\u0000"+
	/* 85D8 */ "\u0000\u0000\u0000\u0000\u0000\u0000\u0000\u0000"+
	/* 85E0 */ "\u0000\u0000\u0000\u0000\u0000\u0000\u0000\u0000"+
	/* 85E8 */ "\u0000\u0000\u0000\u0000\u0000\u0000\u0000\u0000"+
	/* 85F0 */ "\u0000\u0000\u0000\u0000\u0000\u0000\u0000\u0000"+
	/* 85F8 */ "\u0000\u0000\u0000\u0000\u0000"+
	/* 0x8640 - 0x86FC */
	/* 8640 */ "\u0000\u0000\u0000\u0000\u0000\u0000\u0000\u0000"+
	/* 8648 */ "\u0000\u0000\u0000\u0000\u0000\u0000\u0000\u0000"+
	/* 8650 */ "\u0000\u0000\u0000\u0000\u0000\u0000\u0000\u0000"+
	/* 8658 */ "\u0000\u0000\u0000\u0000\u0000\u0000\u0000\u0000"+
	/* 8660 */ "\u0000\u0000\u0000\u0000\u0000\u0000\u0000\u0000"+
	/* 8668 */ "\u0000\u0000\u0000\u0000\u0000\u0000\u0000\u0000"+
	/* 8670 */ "\u0000\u0000\u0000\u0000\u0000\u0000\u0000\u0000"+
	/* 8678 */ "\u0000\u0000\u0000\u0000\u0000\u0000\u0000\u0000"+
	/* 8680 */ "\u0000\u0000\u0000\u0000\u0000\u0000\u0000\u0000"+
	/* 8688 */ "\u0000\u0000\u0000\u0000\u0000\u0000\u0000\u0000"+
	/* 8690 */ "\u0000\u0000\u0000\u0000\u0000\u0000\u0000\u0000"+
	/* 8698 */ "\u0000\u0000\u0000\u0000\u0000\u0000\u0000\u0000"+
	/* 86A0 */ "\u0000\u0000\u0000\u0000\u0000\u0000\u0000\u0000"+
	/* 86A8 */ "\u0000\u0000\u0000\u0000\u0000\u0000\u0000\u0000"+
	/* 86B0 */ "\u0000\u0000\u0000\u0000\u0000\u0000\u0000\u0000"+
	/* 86B8 */ "\u0000\u0000\u0000\u0000\u0000\u0000\u0000\u0000"+
	/* 86C0 */ "\u0000\u0000\u0000\u0000\u0000\u0000\u0000\u0000"+
	/* 86C8 */ "\u0000\u0000\u0000\u0000\u0000\u0000\u0000\u0000"+
	/* 86D0 */ "\u0000\u0000\u0000\u0000\u0000\u0000\u0000\u0000"+
	/* 86D8 */ "\u0000\u0000\u0000\u0000\u0000\u0000\u0000\u0000"+
	/* 86E0 */ "\u0000\u0000\u0000\u0000\u0000\u0000\u0000\u0000"+
	/* 86E8 */ "\u0000\u0000\u0000\u0000\u0000\u0000\u0000\u0000"+
	/* 86F0 */ "\u0000\u0000\u0000\u0000\u0000\u0000\u0000\u0000"+
	/* 86F8 */ "\u0000\u0000\u0000\u0000\u0000"+
	/* 0x8740 - 0x87FC */
	/* 8740 */ "\u0000\u0000\u0000\u0000\u0000\u0000\u0000\u0000"+
	/* 8748 */ "\u0000\u0000\u0000\u0000\u0000\u0000\u0000\u0000"+
	/* 8750 */ "\u0000\u0000\u0000\u0000\u0000\u0000\u0000\u0000"+
	/* 8758 */ "\u0000\u0000\u0000\u0000\u0000\u0000\u0000\u0000"+
	/* 8760 */ "\u0000\u0000\u0000\u0000\u0000\u0000\u0000\u0000"+
	/* 8768 */ "\u0000\u0000\u0000\u0000\u0000\u0000\u0000\u0000"+
	/* 8770 */ "\u0000\u0000\u0000\u0000\u0000\u0000\u0000\u0000"+
	/* 8778 */ "\u0000\u0000\u0000\u0000\u0000\u0000\u0000\u0000"+
	/* 8780 */ "\u0000\u0000\u0000\u0000\u0000\u0000\u0000\u0000"+
	/* 8788 */ "\u0000\u0000\u0000\u0000\u0000\u0000\u0000\u0000"+
	/* 8790 */ "\u0000\u0000\u0000\u0000\u0000\u0000\u0000\u0000"+
	/* 8798 */ "\u0000\u0000\u0000\u0000\u0000\u0000\u0000\u0000"+
	/* 87A0 */ "\u0000\u0000\u0000\u0000\u0000\u0000\u0000\u0000"+
	/* 87A8 */ "\u0000\u0000\u0000\u0000\u0000\u0000\u0000\u0000"+
	/* 87B0 */ "\u0000\u0000\u0000\u0000\u0000\u0000\u0000\u0000"+
	/* 87B8 */ "\u0000\u0000\u0000\u0000\u0000\u0000\u0000\u0000"+
	/* 87C0 */ "\u0000\u0000\u0000\u0000\u0000\u0000\u0000\u0000"+
	/* 87C8 */ "\u0000\u0000\u0000\u0000\u0000\u0000\u0000\u0000"+
	/* 87D0 */ "\u0000\u0000\u0000\u0000\u0000\u0000\u0000\u0000"+
	/* 87D8 */ "\u0000\u0000\u0000\u0000\u0000\u0000\u0000\u0000"+
	/* 87E0 */ "\u0000\u0000\u0000\u0000\u0000\u0000\u0000\u0000"+
	/* 87E8 */ "\u0000\u0000\u0000\u0000\u0000\u0000\u0000\u0000"+
	/* 87F0 */ "\u0000\u0000\u0000\u0000\u0000\u0000\u0000\u0000"+
	/* 87F8 */ "\u0000\u0000\u0000\u0000\u0000"+
	/* 0x8840 - 0x88FC */
	/* 8840 */ "\u0000\u0000\u0000\u0000\u0000\u0000\u0000\u0000"+
	/* 8848 */ "\u0000\u0000\u0000\u0000\u0000\u0000\u0000\u0000"+
	/* 8850 */ "\u0000\u0000\u0000\u0000\u0000\u0000\u0000\u0000"+
	/* 8858 */ "\u0000\u0000\u0000\u0000\u0000\u0000\u0000\u0000"+
	/* 8860 */ "\u0000\u0000\u0000\u0000\u0000\u0000\u0000\u0000"+
	/* 8868 */ "\u0000\u0000\u0000\u0000\u0000\u0000\u0000\u0000"+
	/* 8870 */ "\u0000\u0000\u0000\u0000\u0000\u0000\u0000\u0000"+
	/* 8878 */ "\u0000\u0000\u0000\u0000\u0000\u0000\u0000\u0000"+
	/* 8880 */ "\u0000\u0000\u0000\u0000\u0000\u0000\u0000\u0000"+
	/* 8888 */ "\u0000\u0000\u0000\u0000\u0000\u0000\u0000\u0000"+
	/* 8890 */ "\u0000\u0000\u0000\u0000\u0000\u0000\u0000\u0000"+
	/* 8898 */ "\u0000\u0000\u0000\u0000\u0000\u0000\u0000\u4e9c"+
	/* 88A0 */ "\u5516\u5a03\u963f\u54c0\u611b\u6328\u59f6\u9022"+
	/* 88A8 */ "\u8475\u831c\u7a50\u60aa\u63e1\u6e25\u65ed\u8466"+
	/* 88B0 */ "\u82a6\u9bf5\u6893\u5727\u65a1\u6271\u5b9b\u59d0"+
	/* 88B8 */ "\u867b\u98f4\u7d62\u7dbe\u9b8e\u6216\u7c9f\u88b7"+
	/* 88C0 */ "\u5b89\u5eb5\u6309\u6697\u6848\u95c7\u978d\u674f"+
	/* 88C8 */ "\u4ee5\u4f0a\u4f4d\u4f9d\u5049\u56f2\u5937\u59d4"+
	/* 88D0 */ "\u5a01\u5c09\u60df\u610f\u6170\u6613\u6905\u70ba"+
	/* 88D8 */ "\u754f\u7570\u79fb\u7dad\u7def\u80c3\u840e\u8863"+
	/* 88E0 */ "\u8b02\u9055\u907a\u533b\u4e95\u4ea5\u57df\u80b2"+
	/* 88E8 */ "\u90c1\u78ef\u4e00\u58f1\u6ea2\u9038\u7a32\u8328"+
	/* 88F0 */ "\u828b\u9c2f\u5141\u5370\u54bd\u54e1\u56e0\u59fb"+
	/* 88F8 */ "\u5f15\u98f2\u6deb\u80e4\u852d"+
	/* 0x8940 - 0x89FC */
	/* 8940 */ "\u9662\u9670\u96a0\u97fb\u540b\u53f3\u5b87\u70cf"+
	/* 8948 */ "\u7fbd\u8fc2\u96e8\u536f\u9d5c\u7aba\u4e11\u7893"+
	/* 8950 */ "\u81fc\u6e26\u5618\u5504\u6b1d\u851a\u9c3b\u59e5"+
	/* 8958 */ "\u53a9\u6d66\u74dc\u958f\u5642\u4e91\u904b\u96f2"+
	/* 8960 */ "\u834f\u990c\u53e1\u55b6\u5b30\u5f71\u6620\u66f3"+
	/* 8968 */ "\u6804\u6c38\u6cf3\u6d29\u745b\u76c8\u7a4e\u9834"+
	/* 8970 */ "\u82f1\u885b\u8a60\u92ed\u6db2\u75ab\u76ca\u99c5"+
	/* 8978 */ "\u60a6\u8b01\u8d8a\u95b2\u698e\u53ad\u5186\u0000"+
	/* 8980 */ "\u5712\u5830\u5944\u5bb4\u5ef6\u6028\u63a9\u63f4"+
	/* 8988 */ "\u6cbf\u6f14\u708e\u7114\u7159\u71d5\u733f\u7e01"+
	/* 8990 */ "\u8276\u82d1\u8597\u9060\u925b\u9d1b\u5869\u65bc"+
	/* 8998 */ "\u6c5a\u7525\u51f9\u592e\u5965\u5f80\u5fdc\u62bc"+
	/* 89A0 */ "\u65fa\u6a2a\u6b27\u6bb4\u738b\u7fc1\u8956\u9d2c"+
	/* 89A8 */ "\u9d0e\u9ec4\u5ca1\u6c96\u837b\u5104\u5c4b\u61b6"+
	/* 89B0 */ "\u81c6\u6876\u7261\u4e59\u4ffa\u5378\u6069\u6e29"+
	/* 89B8 */ "\u7a4f\u97f3\u4e0b\u5316\u4eee\u4f55\u4f3d\u4fa1"+
	/* 89C0 */ "\u4f73\u52a0\u53ef\u5609\u590f\u5ac1\u5bb6\u5be1"+
	/* 89C8 */ "\u79d1\u6687\u679c\u67b6\u6b4c\u6cb3\u706b\u73c2"+
	/* 89D0 */ "\u798d\u79be\u7a3c\u7b87\u82b1\u82db\u8304\u8377"+
	/* 89D8 */ "\u83ef\u83d3\u8766\u8ab2\u5629\u8ca8\u8fe6\u904e"+
	/* 89E0 */ "\u971e\u868a\u4fc4\u5ce8\u6211\u7259\u753b\u81e5"+
	/* 89E8 */ "\u82bd\u86fe\u8cc0\u96c5\u9913\u99d5\u4ecb\u4f1a"+
	/* 89F0 */ "\u89e3\u56de\u584a\u58ca\u5efb\u5feb\u602a\u6094"+
	/* 89F8 */ "\u6062\u61d0\u6212\u62d0\u6539"+
	/* 0x8A40 - 0x8AFC */
	/* 8A40 */ "\u9b41\u6666\u68b0\u6d77\u7070\u754c\u7686\u7d75"+
	/* 8A48 */ "\u82a5\u87f9\u958b\u968e\u8c9d\u51f1\u52be\u5916"+
	/* 8A50 */ "\u54b3\u5bb3\u5d16\u6168\u6982\u6daf\u788d\u84cb"+
	/* 8A58 */ "\u8857\u8a72\u93a7\u9ab8\u6d6c\u99a8\u86d9\u57a3"+
	/* 8A60 */ "\u67ff\u86ce\u920e\u5283\u5687\u5404\u5ed3\u62e1"+
	/* 8A68 */ "\u64b9\u683c\u6838\u6bbb\u7372\u78ba\u7a6b\u899a"+
	/* 8A70 */ "\u89d2\u8d6b\u8f03\u90ed\u95a3\u9694\u9769\u5b66"+
	/* 8A78 */ "\u5cb3\u697d\u984d\u984e\u639b\u7b20\u6a2b\u0000"+
	/* 8A80 */ "\u6a7f\u68b6\u9c0d\u6f5f\u5272\u559d\u6070\u62ec"+
	/* 8A88 */ "\u6d3b\u6e07\u6ed1\u845b\u8910\u8f44\u4e14\u9c39"+
	/* 8A90 */ "\u53f6\u691b\u6a3a\u9784\u682a\u515c\u7ac3\u84b2"+
	/* 8A98 */ "\u91dc\u938c\u565b\u9d28\u6822\u8305\u8431\u7ca5"+
	/* 8AA0 */ "\u5208\u82c5\u74e6\u4e7e\u4f83\u51a0\u5bd2\u520a"+
	/* 8AA8 */ "\u52d8\u52e7\u5dfb\u559a\u582a\u59e6\u5b8c\u5b98"+
	/* 8AB0 */ "\u5bdb\u5e72\u5e79\u60a3\u611f\u6163\u61be\u63db"+
	/* 8AB8 */ "\u6562\u67d1\u6853\u68fa\u6b3e\u6b53\u6c57\u6f22"+
	/* 8AC0 */ "\u6f97\u6f45\u74b0\u7518\u76e3\u770b\u7aff\u7ba1"+
	/* 8AC8 */ "\u7c21\u7de9\u7f36\u7ff0\u809d\u8266\u839e\u89b3"+
	/* 8AD0 */ "\u8acc\u8cab\u9084\u9451\u9593\u9591\u95a2\u9665"+
	/* 8AD8 */ "\u97d3\u9928\u8218\u4e38\u542b\u5cb8\u5dcc\u73a9"+
	/* 8AE0 */ "\u764c\u773c\u5ca9\u7feb\u8d0b\u96c1\u9811\u9854"+
	/* 8AE8 */ "\u9858\u4f01\u4f0e\u5371\u559c\u5668\u57fa\u5947"+
	/* 8AF0 */ "\u5b09\u5bc4\u5c90\u5e0c\u5e7e\u5fcc\u63ee\u673a"+
	/* 8AF8 */ "\u65d7\u65e2\u671f\u68cb\u68c4"+
	/* 0x8B40 - 0x8BFC */
	/* 8B40 */ "\u6a5f\u5e30\u6bc5\u6c17\u6c7d\u757f\u7948\u5b63"+
	/* 8B48 */ "\u7a00\u7d00\u5fbd\u898f\u8a18\u8cb4\u8d77\u8ecc"+
	/* 8B50 */ "\u8f1d\u98e2\u9a0e\u9b3c\u4e80\u507d\u5100\u5993"+
	/* 8B58 */ "\u5b9c\u622f\u6280\u64ec\u6b3a\u72a0\u7591\u7947"+
	/* 8B60 */ "\u7fa9\u87fb\u8abc\u8b70\u63ac\u83ca\u97a0\u5409"+
	/* 8B68 */ "\u5403\u55ab\u6854\u6a58\u8a70\u7827\u6775\u9ecd"+
	/* 8B70 */ "\u5374\u5ba2\u811a\u8650\u9006\u4e18\u4e45\u4ec7"+
	/* 8B78 */ "\u4f11\u53ca\u5438\u5bae\u5f13\u6025\u6551\u0000"+
	/* 8B80 */ "\u673d\u6c42\u6c72\u6ce3\u7078\u7403\u7a76\u7aae"+
	/* 8B88 */ "\u7b08\u7d1a\u7cfe\u7d66\u65e7\u725b\u53bb\u5c45"+
	/* 8B90 */ "\u5de8\u62d2\u62e0\u6319\u6e20\u865a\u8a31\u8ddd"+
	/* 8B98 */ "\u92f8\u6f01\u79a6\u9b5a\u4ea8\u4eab\u4eac\u4f9b"+
	/* 8BA0 */ "\u4fa0\u50d1\u5147\u7af6\u5171\u51f6\u5354\u5321"+
	/* 8BA8 */ "\u537f\u53eb\u55ac\u5883\u5ce1\u5f37\u5f4a\u602f"+
	/* 8BB0 */ "\u6050\u606d\u631f\u6559\u6a4b\u6cc1\u72c2\u72ed"+
	/* 8BB8 */ "\u77ef\u80f8\u8105\u8208\u854e\u90f7\u93e1\u97ff"+
	/* 8BC0 */ "\u9957\u9a5a\u4ef0\u51dd\u5c2d\u6681\u696d\u5c40"+
	/* 8BC8 */ "\u66f2\u6975\u7389\u6850\u7c81\u50c5\u52e4\u5747"+
	/* 8BD0 */ "\u5dfe\u9326\u65a4\u6b23\u6b3d\u7434\u7981\u79bd"+
	/* 8BD8 */ "\u7b4b\u7dca\u82b9\u83cc\u887f\u895f\u8b39\u8fd1"+
	/* 8BE0 */ "\u91d1\u541f\u9280\u4e5d\u5036\u53e5\u533a\u72d7"+
	/* 8BE8 */ "\u7396\u77e9\u82e6\u8eaf\u99c6\u99c8\u99d2\u5177"+
	/* 8BF0 */ "\u611a\u865e\u55b0\u7a7a\u5076\u5bd3\u9047\u9685"+
	/* 8BF8 */ "\u4e32\u6adb\u91e7\u5c51\u5c48"+
	/* 0x8C40 - 0x8CFC */
	/* 8C40 */ "\u6398\u7a9f\u6c93\u9774\u8f61\u7aaa\u718a\u9688"+
	/* 8C48 */ "\u7c82\u6817\u7e70\u6851\u936c\u52f2\u541b\u85ab"+
	/* 8C50 */ "\u8a13\u7fa4\u8ecd\u90e1\u5366\u8888\u7941\u4fc2"+
	/* 8C58 */ "\u50be\u5211\u5144\u5553\u572d\u73ea\u578b\u5951"+
	/* 8C60 */ "\u5f62\u5f84\u6075\u6176\u6167\u61a9\u63b2\u643a"+
	/* 8C68 */ "\u656c\u666f\u6842\u6e13\u7566\u7a3d\u7cfb\u7d4c"+
	/* 8C70 */ "\u7d99\u7e4b\u7f6b\u830e\u834a\u86cd\u8a08\u8a63"+
	/* 8C78 */ "\u8b66\u8efd\u981a\u9d8f\u82b8\u8fce\u9be8\u0000"+
	/* 8C80 */ "\u5287\u621f\u6483\u6fc0\u9699\u6841\u5091\u6b20"+
	/* 8C88 */ "\u6c7a\u6f54\u7a74\u7d50\u8840\u8a23\u6708\u4ef6"+
	/* 8C90 */ "\u5039\u5026\u5065\u517c\u5238\u5263\u55a7\u570f"+
	/* 8C98 */ "\u5805\u5acc\u5efa\u61b2\u61f8\u62f3\u6372\u691c"+
	/* 8CA0 */ "\u6a29\u727d\u72ac\u732e\u7814\u786f\u7d79\u770c"+
	/* 8CA8 */ "\u80a9\u898b\u8b19\u8ce2\u8ed2\u9063\u9375\u967a"+
	/* 8CB0 */ "\u9855\u9a13\u9e78\u5143\u539f\u53b3\u5e7b\u5f26"+
	/* 8CB8 */ "\u6e1b\u6e90\u7384\u73fe\u7d43\u8237\u8a00\u8afa"+
	/* 8CC0 */ "\u9650\u4e4e\u500b\u53e4\u547c\u56fa\u59d1\u5b64"+
	/* 8CC8 */ "\u5df1\u5eab\u5f27\u6238\u6545\u67af\u6e56\u72d0"+
	/* 8CD0 */ "\u7cca\u88b4\u80a1\u80e1\u83f0\u864e\u8a87\u8de8"+
	/* 8CD8 */ "\u9237\u96c7\u9867\u9f13\u4e94\u4e92\u4f0d\u5348"+
	/* 8CE0 */ "\u5449\u543e\u5a2f\u5f8c\u5fa1\u609f\u68a7\u6a8e"+
	/* 8CE8 */ "\u745a\u7881\u8a9e\u8aa4\u8b77\u9190\u4e5e\u9bc9"+
	/* 8CF0 */ "\u4ea4\u4f7c\u4faf\u5019\u5016\u5149\u516c\u529f"+
	/* 8CF8 */ "\u52b9\u52fe\u539a\u53e3\u5411"+
	/* 0x8D40 - 0x8DFC */
	/* 8D40 */ "\u540e\u5589\u5751\u57a2\u597d\u5b54\u5b5d\u5b8f"+
	/* 8D48 */ "\u5de5\u5de7\u5df7\u5e78\u5e83\u5e9a\u5eb7\u5f18"+
	/* 8D50 */ "\u6052\u614c\u6297\u62d8\u63a7\u653b\u6602\u6643"+
	/* 8D58 */ "\u66f4\u676d\u6821\u6897\u69cb\u6c5f\u6d2a\u6d69"+
	/* 8D60 */ "\u6e2f\u6e9d\u7532\u7687\u786c\u7a3f\u7ce0\u7d05"+
	/* 8D68 */ "\u7d18\u7d5e\u7db1\u8015\u8003\u80af\u80b1\u8154"+
	/* 8D70 */ "\u818f\u822a\u8352\u884c\u8861\u8b1b\u8ca2\u8cfc"+
	/* 8D78 */ "\u90ca\u9175\u9271\u783f\u92fc\u95a4\u964d\u0000"+
	/* 8D80 */ "\u9805\u9999\u9ad8\u9d3b\u525b\u52ab\u53f7\u5408"+
	/* 8D88 */ "\u58d5\u62f7\u6fe0\u8c6a\u8f5f\u9eb9\u514b\u523b"+
	/* 8D90 */ "\u544a\u56fd\u7a40\u9177\u9d60\u9ed2\u7344\u6f09"+
	/* 8D98 */ "\u8170\u7511\u5ffd\u60da\u9aa8\u72db\u8fbc\u6b64"+
	/* 8DA0 */ "\u9803\u4eca\u56f0\u5764\u58be\u5a5a\u6068\u61c7"+
	/* 8DA8 */ "\u660f\u6606\u6839\u68b1\u6df7\u75d5\u7d3a\u826e"+
	/* 8DB0 */ "\u9b42\u4e9b\u4f50\u53c9\u5506\u5d6f\u5de6\u5dee"+
	/* 8DB8 */ "\u67fb\u6c99\u7473\u7802\u8a50\u9396\u88df\u5750"+
	/* 8DC0 */ "\u5ea7\u632b\u50b5\u50ac\u518d\u6700\u54c9\u585e"+
	/* 8DC8 */ "\u59bb\u5bb0\u5f69\u624d\u63a1\u683d\u6b73\u6e08"+
	/* 8DD0 */ "\u707d\u91c7\u7280\u7815\u7826\u796d\u658e\u7d30"+
	/* 8DD8 */ "\u83dc\u88c1\u8f09\u969b\u5264\u5728\u6750\u7f6a"+
	/* 8DE0 */ "\u8ca1\u51b4\u5742\u962a\u583a\u698a\u80b4\u54b2"+
	/* 8DE8 */ "\u5d0e\u57fc\u7895\u9dfa\u4f5c\u524a\u548b\u643e"+
	/* 8DF0 */ "\u6628\u6714\u67f5\u7a84\u7b56\u7d22\u932f\u685c"+
	/* 8DF8 */ "\u9bad\u7b39\u5319\u518a\u5237"+
	/* 0x8E40 - 0x8EFC */
	/* 8E40 */ "\u5bdf\u62f6\u64ae\u64e6\u672d\u6bba\u85a9\u96d1"+
	/* 8E48 */ "\u7690\u9bd6\u634c\u9306\u9bab\u76bf\u6652\u4e09"+
	/* 8E50 */ "\u5098\u53c2\u5c71\u60e8\u6492\u6563\u685f\u71e6"+
	/* 8E58 */ "\u73ca\u7523\u7b97\u7e82\u8695\u8b83\u8cdb\u9178"+
	/* 8E60 */ "\u9910\u65ac\u66ab\u6b8b\u4ed5\u4ed4\u4f3a\u4f7f"+
	/* 8E68 */ "\u523a\u53f8\u53f2\u55e3\u56db\u58eb\u59cb\u59c9"+
	/* 8E70 */ "\u59ff\u5b50\u5c4d\u5e02\u5e2b\u5fd7\u601d\u6307"+
	/* 8E78 */ "\u652f\u5b5c\u65af\u65bd\u65e8\u679d\u6b62\u0000"+
	/* 8E80 */ "\u6b7b\u6c0f\u7345\u7949\u79c1\u7cf8\u7d19\u7d2b"+
	/* 8E88 */ "\u80a2\u8102\u81f3\u8996\u8a5e\u8a69\u8a66\u8a8c"+
	/* 8E90 */ "\u8aee\u8cc7\u8cdc\u96cc\u98fc\u6b6f\u4e8b\u4f3c"+
	/* 8E98 */ "\u4f8d\u5150\u5b57\u5bfa\u6148\u6301\u6642\u6b21"+
	/* 8EA0 */ "\u6ecb\u6cbb\u723e\u74bd\u75d4\u78c1\u793a\u800c"+
	/* 8EA8 */ "\u8033\u81ea\u8494\u8f9e\u6c50\u9e7f\u5f0f\u8b58"+
	/* 8EB0 */ "\u9d2b\u7afa\u8ef8\u5b8d\u96eb\u4e03\u53f1\u57f7"+
	/* 8EB8 */ "\u5931\u5ac9\u5ba4\u6089\u6e7f\u6f06\u75be\u8cea"+
	/* 8EC0 */ "\u5b9f\u8500\u7be0\u5072\u67f4\u829d\u5c61\u854a"+
	/* 8EC8 */ "\u7e1e\u820e\u5199\u5c04\u6368\u8d66\u659c\u716e"+
	/* 8ED0 */ "\u793e\u7d17\u8005\u8b1d\u8eca\u906e\u86c7\u90aa"+
	/* 8ED8 */ "\u501f\u52fa\u5c3a\u6753\u707c\u7235\u914c\u91c8"+
	/* 8EE0 */ "\u932b\u82e5\u5bc2\u5f31\u60f9\u4e3b\u53d6\u5b88"+
	/* 8EE8 */ "\u624b\u6731\u6b8a\u72e9\u73e0\u7a2e\u816b\u8da3"+
	/* 8EF0 */ "\u9152\u9996\u5112\u53d7\u546a\u5bff\u6388\u6a39"+
	/* 8EF8 */ "\u7dac\u9700\u56da\u53ce\u5468"+
	/* 0x8F40 - 0x8FFC */
	/* 8F40 */ "\u5b97\u5c31\u5dde\u4fee\u6101\u62fe\u6d32\u79c0"+
	/* 8F48 */ "\u79cb\u7d42\u7e4d\u7fd2\u81ed\u821f\u8490\u8846"+
	/* 8F50 */ "\u8972\u8b90\u8e74\u8f2f\u9031\u914b\u916c\u96c6"+
	/* 8F58 */ "\u919c\u4ec0\u4f4f\u5145\u5341\u5f93\u620e\u67d4"+
	/* 8F60 */ "\u6c41\u6e0b\u7363\u7e26\u91cd\u9283\u53d4\u5919"+
	/* 8F68 */ "\u5bbf\u6dd1\u795d\u7e2e\u7c9b\u587e\u719f\u51fa"+
	/* 8F70 */ "\u8853\u8ff0\u4fca\u5cfb\u6625\u77ac\u7ae3\u821c"+
	/* 8F78 */ "\u99ff\u51c6\u5faa\u65ec\u696f\u6b89\u6df3\u0000"+
	/* 8F80 */ "\u6e96\u6f64\u76fe\u7d14\u5de1\u9075\u9187\u9806"+
	/* 8F88 */ "\u51e6\u521d\u6240\u6691\u66d9\u6e1a\u5eb6\u7dd2"+
	/* 8F90 */ "\u7f72\u66f8\u85af\u85f7\u8af8\u52a9\u53d9\u5973"+
	/* 8F98 */ "\u5e8f\u5f90\u6055\u92e4\u9664\u50b7\u511f\u52dd"+
	/* 8FA0 */ "\u5320\u5347\u53ec\u54e8\u5546\u5531\u5617\u5968"+
	/* 8FA8 */ "\u59be\u5a3c\u5bb5\u5c06\u5c0f\u5c11\u5c1a\u5e84"+
	/* 8FB0 */ "\u5e8a\u5ee0\u5f70\u627f\u6284\u62db\u638c\u6377"+
	/* 8FB8 */ "\u6607\u660c\u662d\u6676\u677e\u68a2\u6a1f\u6a35"+
	/* 8FC0 */ "\u6cbc\u6d88\u6e09\u6e58\u713c\u7126\u7167\u75c7"+
	/* 8FC8 */ "\u7701\u785d\u7901\u7965\u79f0\u7ae0\u7b11\u7ca7"+
	/* 8FD0 */ "\u7d39\u8096\u83d6\u848b\u8549\u885d\u88f3\u8a1f"+
	/* 8FD8 */ "\u8a3c\u8a54\u8a73\u8c61\u8cde\u91a4\u9266\u937e"+
	/* 8FE0 */ "\u9418\u969c\u9798\u4e0a\u4e08\u4e1e\u4e57\u5197"+
	/* 8FE8 */ "\u5270\u57ce\u5834\u58cc\u5b22\u5e38\u60c5\u64fe"+
	/* 8FF0 */ "\u6761\u6756\u6d44\u72b6\u7573\u7a63\u84b8\u8b72"+
	/* 8FF8 */ "\u91b8\u9320\u5631\u57f4\u98fe"+
	/* 0x9040 - 0x90FC */
	/* 9040 */ "\u62ed\u690d\u6b96\u71ed\u7e54\u8077\u8272\u89e6"+
	/* 9048 */ "\u98df\u8755\u8fb1\u5c3b\u4f38\u4fe1\u4fb5\u5507"+
	/* 9050 */ "\u5a20\u5bdd\u5be9\u5fc3\u614e\u632f\u65b0\u664b"+
	/* 9058 */ "\u68ee\u699b\u6d78\u6df1\u7533\u75b9\u771f\u795e"+
	/* 9060 */ "\u79e6\u7d33\u81e3\u82af\u85aa\u89aa\u8a3a\u8eab"+
	/* 9068 */ "\u8f9b\u9032\u91dd\u9707\u4eba\u4ec1\u5203\u5875"+
	/* 9070 */ "\u58ec\u5c0b\u751a\u5c3d\u814e\u8a0a\u8fc5\u9663"+
	/* 9078 */ "\u976d\u7b25\u8acf\u9808\u9162\u56f3\u53a8\u0000"+
	/* 9080 */ "\u9017\u5439\u5782\u5e25\u63a8\u6c34\u708a\u7761"+
	/* 9088 */ "\u7c8b\u7fe0\u8870\u9042\u9154\u9310\u9318\u968f"+
	/* 9090 */ "\u745e\u9ac4\u5d07\u5d69\u6570\u67a2\u8da8\u96db"+
	/* 9098 */ "\u636e\u6749\u6919\u83c5\u9817\u96c0\u88fe\u6f84"+
	/* 90A0 */ "\u647a\u5bf8\u4e16\u702c\u755d\u662f\u51c4\u5236"+
	/* 90A8 */ "\u52e2\u59d3\u5f81\u6027\u6210\u653f\u6574\u661f"+
	/* 90B0 */ "\u6674\u68f2\u6816\u6b63\u6e05\u7272\u751f\u76db"+
	/* 90B8 */ "\u7cbe\u8056\u58f0\u88fd\u897f\u8aa0\u8a93\u8acb"+
	/* 90C0 */ "\u901d\u9192\u9752\u9759\u6589\u7a0e\u8106\u96bb"+
	/* 90C8 */ "\u5e2d\u60dc\u621a\u65a5\u6614\u6790\u77f3\u7a4d"+
	/* 90D0 */ "\u7c4d\u7e3e\u810a\u8cac\u8d64\u8de1\u8e5f\u78a9"+
	/* 90D8 */ "\u5207\u62d9\u63a5\u6442\u6298\u8a2d\u7a83\u7bc0"+
	/* 90E0 */ "\u8aac\u96ea\u7d76\u820c\u8749\u4ed9\u5148\u5343"+
	/* 90E8 */ "\u5360\u5ba3\u5c02\u5c16\u5ddd\u6226\u6247\u64b0"+
	/* 90F0 */ "\u6813\u6834\u6cc9\u6d45\u6d17\u67d3\u6f5c\u714e"+
	/* 90F8 */ "\u717d\u65cb\u7a7f\u7bad\u7dda"+
	/* 0x9140 - 0x91FC */
	/* 9140 */ "\u7e4a\u7fa8\u817a\u821b\u8239\u85a6\u8a6e\u8cce"+
	/* 9148 */ "\u8df5\u9078\u9077\u92ad\u9291\u9583\u9bae\u524d"+
	/* 9150 */ "\u5584\u6f38\u7136\u5168\u7985\u7e55\u81b3\u7cce"+
	/* 9158 */ "\u564c\u5851\u5ca8\u63aa\u66fe\u66fd\u695a\u72d9"+
	/* 9160 */ "\u758f\u758e\u790e\u7956\u79df\u7c97\u7d20\u7d44"+
	/* 9168 */ "\u8607\u8a34\u963b\u9061\u9f20\u50e7\u5275\u53cc"+
	/* 9170 */ "\u53e2\u5009\u55aa\u58ee\u594f\u723d\u5b8b\u5c64"+
	/* 9178 */ "\u531d\u60e3\u60f3\u635c\u6383\u633f\u63bb\u0000"+
	/* 9180 */ "\u64cd\u65e9\u66f9\u5de3\u69cd\u69fd\u6f15\u71e5"+
	/* 9188 */ "\u4e89\u75e9\u76f8\u7a93\u7cdf\u7dcf\u7d9c\u8061"+
	/* 9190 */ "\u8349\u8358\u846c\u84bc\u85fb\u88c5\u8d70\u9001"+
	/* 9198 */ "\u906d\u9397\u971c\u9a12\u50cf\u5897\u618e\u81d3"+
	/* 91A0 */ "\u8535\u8d08\u9020\u4fc3\u5074\u5247\u5373\u606f"+
	/* 91A8 */ "\u6349\u675f\u6e2c\u8db3\u901f\u4fd7\u5c5e\u8cca"+
	/* 91B0 */ "\u65cf\u7d9a\u5352\u8896\u5176\u63c3\u5b58\u5b6b"+
	/* 91B8 */ "\u5c0a\u640d\u6751\u905c\u4ed6\u591a\u592a\u6c70"+
	/* 91C0 */ "\u8a51\u553e\u5815\u59a5\u60f0\u6253\u67c1\u8235"+
	/* 91C8 */ "\u6955\u9640\u99c4\u9a28\u4f53\u5806\u5bfe\u8010"+
	/* 91D0 */ "\u5cb1\u5e2f\u5f85\u6020\u614b\u6234\u66ff\u6cf0"+
	/* 91D8 */ "\u6ede\u80ce\u817f\u82d4\u888b\u8cb8\u9000\u902e"+
	/* 91E0 */ "\u968a\u9edb\u9bdb\u4ee3\u53f0\u5927\u7b2c\u918d"+
	/* 91E8 */ "\u984c\u9df9\u6edd\u7027\u5353\u5544\u5b85\u6258"+
	/* 91F0 */ "\u629e\u62d3\u6ca2\u6fef\u7422\u8a17\u9438\u6fc1"+
	/* 91F8 */ "\u8afe\u8338\u51e7\u86f8\u53ea"+
	/* 0x9240 - 0x92FC */
	/* 9240 */ "\u53e9\u4f46\u9054\u8fb0\u596a\u8131\u5dfd\u7aea"+
	/* 9248 */ "\u8fbf\u68da\u8c37\u72f8\u9c48\u6a3d\u8ab0\u4e39"+
	/* 9250 */ "\u5358\u5606\u5766\u62c5\u63a2\u65e6\u6b4e\u6de1"+
	/* 9258 */ "\u6e5b\u70ad\u77ed\u7aef\u7baa\u7dbb\u803d\u80c6"+
	/* 9260 */ "\u86cb\u8a95\u935b\u56e3\u58c7\u5f3e\u65ad\u6696"+
	/* 9268 */ "\u6a80\u6bb5\u7537\u8ac7\u5024\u77e5\u5730\u5f1b"+
	/* 9270 */ "\u6065\u667a\u6c60\u75f4\u7a1a\u7f6e\u81f4\u8718"+
	/* 9278 */ "\u9045\u99b3\u7bc9\u755c\u7af9\u7b51\u84c4\u0000"+
	/* 9280 */ "\u9010\u79e9\u7a92\u8336\u5ae1\u7740\u4e2d\u4ef2"+
	/* 9288 */ "\u5b99\u5fe0\u62bd\u663c\u67f1\u6ce8\u866b\u8877"+
	/* 9290 */ "\u8a3b\u914e\u92f3\u99d0\u6a17\u7026\u732a\u82e7"+
	/* 9298 */ "\u8457\u8caf\u4e01\u5146\u51cb\u558b\u5bf5\u5e16"+
	/* 92A0 */ "\u5e33\u5e81\u5f14\u5f35\u5f6b\u5fb4\u61f2\u6311"+
	/* 92A8 */ "\u66a2\u671d\u6f6e\u7252\u753a\u773a\u8074\u8139"+
	/* 92B0 */ "\u8178\u8776\u8abf\u8adc\u8d85\u8df3\u929a\u9577"+
	/* 92B8 */ "\u9802\u9ce5\u52c5\u6357\u76f4\u6715\u6c88\u73cd"+
	/* 92C0 */ "\u8cc3\u93ae\u9673\u6d25\u589c\u690e\u69cc\u8ffd"+
	/* 92C8 */ "\u939a\u75db\u901a\u585a\u6802\u63b4\u69fb\u4f43"+
	/* 92D0 */ "\u6f2c\u67d8\u8fbb\u8526\u7db4\u9354\u693f\u6f70"+
	/* 92D8 */ "\u576a\u58f7\u5b2c\u7d2c\u722a\u540a\u91e3\u9db4"+
	/* 92E0 */ "\u4ead\u4f4e\u505c\u5075\u5243\u8c9e\u5448\u5824"+
	/* 92E8 */ "\u5b9a\u5e1d\u5e95\u5ead\u5ef7\u5f1f\u608c\u62b5"+
	/* 92F0 */ "\u633a\u63d0\u68af\u6c40\u7887\u798e\u7a0b\u7de0"+
	/* 92F8 */ "\u8247\u8a02\u8ae6\u8e44\u9013"+
	/* 0x9340 - 0x93FC */
	/* 9340 */ "\u90b8\u912d\u91d8\u9f0e\u6ce5\u6458\u64e2\u6575"+
	/* 9348 */ "\u6ef4\u7684\u7b1b\u9069\u93d1\u6eba\u54f2\u5fb9"+
	/* 9350 */ "\u64a4\u8f4d\u8fed\u9244\u5178\u586b\u5929\u5c55"+
	/* 9358 */ "\u5e97\u6dfb\u7e8f\u751c\u8cbc\u8ee2\u985b\u70b9"+
	/* 9360 */ "\u4f1d\u6bbf\u6fb1\u7530\u96fb\u514e\u5410\u5835"+
	/* 9368 */ "\u5857\u59ac\u5c60\u5f92\u6597\u675c\u6e21\u767b"+
	/* 9370 */ "\u83df\u8ced\u9014\u90fd\u934d\u7825\u783a\u52aa"+
	/* 9378 */ "\u5ea6\u571f\u5974\u6012\u5012\u515a\u51ac\u0000"+
	/* 9380 */ "\u51cd\u5200\u5510\u5854\u5858\u5957\u5b95\u5cf6"+
	/* 9388 */ "\u5d8b\u60bc\u6295\u642d\u6771\u6843\u68bc\u68df"+
	/* 9390 */ "\u76d7\u6dd8\u6e6f\u6d9b\u706f\u71c8\u5f53\u75d8"+
	/* 9398 */ "\u7977\u7b49\u7b54\u7b52\u7cd6\u7d71\u5230\u8463"+
	/* 93A0 */ "\u8569\u85e4\u8a0e\u8b04\u8c46\u8e0f\u9003\u900f"+
	/* 93A8 */ "\u9419\u9676\u982d\u9a30\u95d8\u50cd\u52d5\u540c"+
	/* 93B0 */ "\u5802\u5c0e\u61a7\u649e\u6d1e\u77b3\u7ae5\u80f4"+
	/* 93B8 */ "\u8404\u9053\u9285\u5ce0\u9d07\u533f\u5f97\u5fb3"+
	/* 93C0 */ "\u6d9c\u7279\u7763\u79bf\u7be4\u6bd2\u72ec\u8aad"+
	/* 93C8 */ "\u6803\u6a61\u51f8\u7a81\u6934\u5c4a\u9cf6\u82eb"+
	/* 93D0 */ "\u5bc5\u9149\u701e\u5678\u5c6f\u60c7\u6566\u6c8c"+
	/* 93D8 */ "\u8c5a\u9041\u9813\u5451\u66c7\u920d\u5948\u90a3"+
	/* 93E0 */ "\u5185\u4e4d\u51ea\u8599\u8b0e\u7058\u637a\u934b"+
	/* 93E8 */ "\u6962\u99b4\u7e04\u7577\u5357\u6960\u8edf\u96e3"+
	/* 93F0 */ "\u6c5d\u4e8c\u5c3c\u5f10\u8fe9\u5302\u8cd1\u8089"+
	/* 93F8 */ "\u8679\u5eff\u65e5\u4e73\u5165"+
	/* 0x9440 - 0x94FC */
	/* 9440 */ "\u5982\u5c3f\u97ee\u4efb\u598a\u5fcd\u8a8d\u6fe1"+
	/* 9448 */ "\u79b0\u7962\u5be7\u8471\u732b\u71b1\u5e74\u5ff5"+
	/* 9450 */ "\u637b\u649a\u71c3\u7c98\u4e43\u5efc\u4e4b\u57dc"+
	/* 9458 */ "\u56a2\u60a9\u6fc3\u7d0d\u80fd\u8133\u81bf\u8fb2"+
	/* 9460 */ "\u8997\u86a4\u5df4\u628a\u64ad\u8987\u6777\u6ce2"+
	/* 9468 */ "\u6d3e\u7436\u7834\u5a46\u7f75\u82ad\u99ac\u4ff3"+
	/* 9470 */ "\u5ec3\u62dd\u6392\u6557\u676f\u76c3\u724c\u80cc"+
	/* 9478 */ "\u80ba\u8f29\u914d\u500d\u57f9\u5a92\u6885\u0000"+
	/* 9480 */ "\u6973\u7164\u72fd\u8cb7\u58f2\u8ce0\u966a\u9019"+
	/* 9488 */ "\u877f\u79e4\u77e7\u8429\u4f2f\u5265\u535a\u62cd"+
	/* 9490 */ "\u67cf\u6cca\u767d\u7b94\u7c95\u8236\u8584\u8feb"+
	/* 9498 */ "\u66dd\u6f20\u7206\u7e1b\u83ab\u99c1\u9ea6\u51fd"+
	/* 94A0 */ "\u7bb1\u7872\u7bb8\u8087\u7b48\u6ae8\u5e61\u808c"+
	/* 94A8 */ "\u7551\u7560\u516b\u9262\u6e8c\u767a\u9197\u9aea"+
	/* 94B0 */ "\u4f10\u7f70\u629c\u7b4f\u95a5\u9ce9\u567a\u5859"+
	/* 94B8 */ "\u86e4\u96bc\u4f34\u5224\u534a\u53cd\u53db\u5e06"+
	/* 94C0 */ "\u642c\u6591\u677f\u6c3e\u6c4e\u7248\u72af\u73ed"+
	/* 94C8 */ "\u7554\u7e41\u822c\u85e9\u8ca9\u7bc4\u91c6\u7169"+
	/* 94D0 */ "\u9812\u98ef\u633d\u6669\u756a\u76e4\u78d0\u8543"+
	/* 94D8 */ "\u86ee\u532a\u5351\u5426\u5983\u5e87\u5f7c\u60b2"+
	/* 94E0 */ "\u6249\u6279\u62ab\u6590\u6bd4\u6ccc\u75b2\u76ae"+
	/* 94E8 */ "\u7891\u79d8\u7dcb\u7f77\u80a5\u88ab\u8ab9\u8cbb"+
	/* 94F0 */ "\u907f\u975e\u98db\u6a0b\u7c38\u5099\u5c3e\u5fae"+
	/* 94F8 */ "\u6787\u6bd8\u7435\u7709\u7f8e"+
	/* 0x9540 - 0x95FC */
	/* 9540 */ "\u9f3b\u67ca\u7a17\u5339\u758b\u9aed\u5f66\u819d"+
	/* 9548 */ "\u83f1\u8098\u5f3c\u5fc5\u7562\u7b46\u903c\u6867"+
	/* 9550 */ "\u59eb\u5a9b\u7d10\u767e\u8b2c\u4ff5\u5f6a\u6a19"+
	/* 9558 */ "\u6c37\u6f02\u74e2\u7968\u8868\u8a55\u8c79\u5edf"+
	/* 9560 */ "\u63cf\u75c5\u79d2\u82d7\u9328\u92f2\u849c\u86ed"+
	/* 9568 */ "\u9c2d\u54c1\u5f6c\u658c\u6d5c\u7015\u8ca7\u8cd3"+
	/* 9570 */ "\u983b\u654f\u74f6\u4e0d\u4ed8\u57e0\u592b\u5a66"+
	/* 9578 */ "\u5bcc\u51a8\u5e03\u5e9c\u6016\u6276\u6577\u0000"+
	/* 9580 */ "\u65a7\u666e\u6d6e\u7236\u7b26\u8150\u819a\u8299"+
	/* 9588 */ "\u8b5c\u8ca0\u8ce6\u8d74\u961c\u9644\u4fae\u64ab"+
	/* 9590 */ "\u6b66\u821e\u8461\u856a\u90e8\u5c01\u6953\u98a8"+
	/* 9598 */ "\u847a\u8557\u4f0f\u526f\u5fa9\u5e45\u670d\u798f"+
	/* 95A0 */ "\u8179\u8907\u8986\u6df5\u5f17\u6255\u6cb8\u4ecf"+
	/* 95A8 */ "\u7269\u9b92\u5206\u543b\u5674\u58b3\u61a4\u626e"+
	/* 95B0 */ "\u711a\u596e\u7c89\u7cde\u7d1b\u96f0\u6587\u805e"+
	/* 95B8 */ "\u4e19\u4f75\u5175\u5840\u5e63\u5e73\u5f0a\u67c4"+
	/* 95C0 */ "\u4e26\u853d\u9589\u965b\u7c73\u9801\u50fb\u58c1"+
	/* 95C8 */ "\u7656\u78a7\u5225\u77a5\u8511\u7b86\u504f\u5909"+
	/* 95D0 */ "\u7247\u7bc7\u7de8\u8fba\u8fd4\u904d\u4fbf\u52c9"+
	/* 95D8 */ "\u5a29\u5f01\u97ad\u4fdd\u8217\u92ea\u5703\u6355"+
	/* 95E0 */ "\u6b69\u752b\u88dc\u8f14\u7a42\u52df\u5893\u6155"+
	/* 95E8 */ "\u620a\u66ae\u6bcd\u7c3f\u83e9\u5023\u4ff8\u5305"+
	/* 95F0 */ "\u5446\u5831\u5949\u5b9d\u5cf0\u5cef\u5d29\u5e96"+
	/* 95F8 */ "\u62b1\u6367\u653e\u65b9\u670b"+
	/* 0x9640 - 0x96FC */
	/* 9640 */ "\u6cd5\u6ce1\u70f9\u7832\u7e2b\u80de\u82b3\u840c"+
	/* 9648 */ "\u84ec\u8702\u8912\u8a2a\u8c4a\u90a6\u92d2\u98fd"+
	/* 9650 */ "\u9cf3\u9d6c\u4e4f\u4ea1\u508d\u5256\u574a\u59a8"+
	/* 9658 */ "\u5e3d\u5fd8\u5fd9\u623f\u66b4\u671b\u67d0\u68d2"+
	/* 9660 */ "\u5192\u7d21\u80aa\u81a8\u8b00\u8c8c\u8cbf\u927e"+
	/* 9668 */ "\u9632\u5420\u982c\u5317\u50d5\u535c\u58a8\u64b2"+
	/* 9670 */ "\u6734\u7267\u7766\u7a46\u91e6\u52c3\u6ca1\u6b86"+
	/* 9678 */ "\u5800\u5e4c\u5954\u672c\u7ffb\u51e1\u76c6\u0000"+
	/* 9680 */ "\u6469\u78e8\u9b54\u9ebb\u57cb\u59b9\u6627\u679a"+
	/* 9688 */ "\u6bce\u54e9\u69d9\u5e55\u819c\u6795\u9baa\u67fe"+
	/* 9690 */ "\u9c52\u685d\u4ea6\u4fe3\u53c8\u62b9\u672b\u6cab"+
	/* 9698 */ "\u8fc4\u4fad\u7e6d\u9ebf\u4e07\u6162\u6e80\u6f2b"+
	/* 96A0 */ "\u8513\u5473\u672a\u9b45\u5df3\u7b95\u5cac\u5bc6"+
	/* 96A8 */ "\u871c\u6e4a\u84d1\u7a14\u8108\u5999\u7c8d\u6c11"+
	/* 96B0 */ "\u7720\u52d9\u5922\u7121\u725f\u77db\u9727\u9d61"+
	/* 96B8 */ "\u690b\u5a7f\u5a18\u51a5\u540d\u547d\u660e\u76df"+
	/* 96C0 */ "\u8ff7\u9298\u9cf4\u59ea\u725d\u6ec5\u514d\u68c9"+
	/* 96C8 */ "\u7dbf\u7dec\u9762\u9eba\u6478\u6a21\u8302\u5984"+
	/* 96D0 */ "\u5b5f\u6bdb\u731b\u76f2\u7db2\u8017\u8499\u5132"+
	/* 96D8 */ "\u6728\u9ed9\u76ee\u6762\u52ff\u9905\u5c24\u623b"+
	/* 96E0 */ "\u7c7e\u8cb0\u554f\u60b6\u7d0b\u9580\u5301\u4e5f"+
	/* 96E8 */ "\u51b6\u591c\u723a\u8036\u91ce\u5f25\u77e2\u5384"+
	/* 96F0 */ "\u5f79\u7d04\u85ac\u8a33\u8e8d\u9756\u67f3\u85ae"+
	/* 96F8 */ "\u9453\u6109\u6108\u6cb9\u7652"+
	/* 0x9740 - 0x97FC */
	/* 9740 */ "\u8aed\u8f38\u552f\u4f51\u512a\u52c7\u53cb\u5ba5"+
	/* 9748 */ "\u5e7d\u60a0\u6182\u63d6\u6709\u67da\u6e67\u6d8c"+
	/* 9750 */ "\u7336\u7337\u7531\u7950\u88d5\u8a98\u904a\u9091"+
	/* 9758 */ "\u90f5\u96c4\u878d\u5915\u4e88\u4f59\u4e0e\u8a89"+
	/* 9760 */ "\u8f3f\u9810\u50ad\u5e7c\u5996\u5bb9\u5eb8\u63da"+
	/* 9768 */ "\u63fa\u64c1\u66dc\u694a\u69d8\u6d0b\u6eb6\u7194"+
	/* 9770 */ "\u7528\u7aaf\u7f8a\u8000\u8449\u84c9\u8981\u8b21"+
	/* 9778 */ "\u8e0a\u9065\u967d\u990a\u617e\u6291\u6b32\u0000"+
	/* 9780 */ "\u6c83\u6d74\u7fcc\u7ffc\u6dc0\u7f85\u87ba\u88f8"+
	/* 9788 */ "\u6765\u83b1\u983c\u96f7\u6d1b\u7d61\u843d\u916a"+
	/* 9790 */ "\u4e71\u5375\u5d50\u6b04\u6feb\u85cd\u862d\u89a7"+
	/* 9798 */ "\u5229\u540f\u5c65\u674e\u68a8\u7406\u7483\u75e2"+
	/* 97A0 */ "\u88cf\u88e1\u91cc\u96e2\u9678\u5f8b\u7387\u7acb"+
	/* 97A8 */ "\u844e\u63a0\u7565\u5289\u6d41\u6e9c\u7409\u7559"+
	/* 97B0 */ "\u786b\u7c92\u9686\u7adc\u9f8d\u4fb6\u616e\u65c5"+
	/* 97B8 */ "\u865c\u4e86\u4eae\u50da\u4e21\u51cc\u5bee\u6599"+
	/* 97C0 */ "\u6881\u6dbc\u731f\u7642\u77ad\u7a1c\u7ce7\u826f"+
	/* 97C8 */ "\u8ad2\u907c\u91cf\u9675\u9818\u529b\u7dd1\u502b"+
	/* 97D0 */ "\u5398\u6797\u6dcb\u71d0\u7433\u81e8\u8f2a\u96a3"+
	/* 97D8 */ "\u9c57\u9e9f\u7460\u5841\u6d99\u7d2f\u985e\u4ee4"+
	/* 97E0 */ "\u4f36\u4f8b\u51b7\u52b1\u5dba\u601c\u73b2\u793c"+
	/* 97E8 */ "\u82d3\u9234\u96b7\u96f6\u970a\u9e97\u9f62\u66a6"+
	/* 97F0 */ "\u6b74\u5217\u52a3\u70c8\u88c2\u5ec9\u604b\u6190"+
	/* 97F8 */ "\u6f23\u7149\u7c3e\u7df4\u806f"+
	/* 0x9840 - 0x98FC */
	/* 9840 */ "\u84ee\u9023\u932c\u5442\u9b6f\u6ad3\u7089\u8cc2"+
	/* 9848 */ "\u8def\u9732\u52b4\u5a41\u5eca\u5f04\u6717\u697c"+
	/* 9850 */ "\u6994\u6d6a\u6f0f\u7262\u72fc\u7bed\u8001\u807e"+
	/* 9858 */ "\u874b\u90ce\u516d\u9e93\u7984\u808b\u9332\u8ad6"+
	/* 9860 */ "\u502d\u548c\u8a71\u6b6a\u8cc4\u8107\u60d1\u67a0"+
	/* 9868 */ "\u9df2\u4e99\u4e98\u9c10\u8a6b\u85c1\u8568\u6900"+
	/* 9870 */ "\u6e7e\u7897\u8155\u0000\u0000\u0000\u0000\u0000"+
	/* 9878 */ "\u0000\u0000\u0000\u0000\u0000\u0000\u0000\u0000"+
	/* 9880 */ "\u0000\u0000\u0000\u0000\u0000\u0000\u0000\u0000"+
	/* 9888 */ "\u0000\u0000\u0000\u0000\u0000\u0000\u0000\u0000"+
	/* 9890 */ "\u0000\u0000\u0000\u0000\u0000\u0000\u0000\u0000"+
	/* 9898 */ "\u0000\u0000\u0000\u0000\u0000\u0000\u0000\u5f0c"+
	/* 98A0 */ "\u4e10\u4e15\u4e2a\u4e31\u4e36\u4e3c\u4e3f\u4e42"+
	/* 98A8 */ "\u4e56\u4e58\u4e82\u4e85\u8c6b\u4e8a\u8212\u5f0d"+
	/* 98B0 */ "\u4e8e\u4e9e\u4e9f\u4ea0\u4ea2\u4eb0\u4eb3\u4eb6"+
	/* 98B8 */ "\u4ece\u4ecd\u4ec4\u4ec6\u4ec2\u4ed7\u4ede\u4eed"+
	/* 98C0 */ "\u4edf\u4ef7\u4f09\u4f5a\u4f30\u4f5b\u4f5d\u4f57"+
	/* 98C8 */ "\u4f47\u4f76\u4f88\u4f8f\u4f98\u4f7b\u4f69\u4f70"+
	/* 98D0 */ "\u4f91\u4f6f\u4f86\u4f96\u5118\u4fd4\u4fdf\u4fce"+
	/* 98D8 */ "\u4fd8\u4fdb\u4fd1\u4fda\u4fd0\u4fe4\u4fe5\u501a"+
	/* 98E0 */ "\u5028\u5014\u502a\u5025\u5005\u4f1c\u4ff6\u5021"+
	/* 98E8 */ "\u5029\u502c\u4ffe\u4fef\u5011\u5006\u5043\u5047"+
	/* 98F0 */ "\u6703\u5055\u5050\u5048\u505a\u5056\u506c\u5078"+
	/* 98F8 */ "\u5080\u509a\u5085\u50b4\u50b2"+
	/* 0x9940 - 0x99FC */
	/* 9940 */ "\u50c9\u50ca\u50b3\u50c2\u50d6\u50de\u50e5\u50ed"+
	/* 9948 */ "\u50e3\u50ee\u50f9\u50f5\u5109\u5101\u5102\u5116"+
	/* 9950 */ "\u5115\u5114\u511a\u5121\u513a\u5137\u513c\u513b"+
	/* 9958 */ "\u513f\u5140\u5152\u514c\u5154\u5162\u7af8\u5169"+
	/* 9960 */ "\u516a\u516e\u5180\u5182\u56d8\u518c\u5189\u518f"+
	/* 9968 */ "\u5191\u5193\u5195\u5196\u51a4\u51a6\u51a2\u51a9"+
	/* 9970 */ "\u51aa\u51ab\u51b3\u51b1\u51b2\u51b0\u51b5\u51bd"+
	/* 9978 */ "\u51c5\u51c9\u51db\u51e0\u8655\u51e9\u51ed\u0000"+
	/* 9980 */ "\u51f0\u51f5\u51fe\u5204\u520b\u5214\u520e\u5227"+
	/* 9988 */ "\u522a\u522e\u5233\u5239\u524f\u5244\u524b\u524c"+
	/* 9990 */ "\u525e\u5254\u526a\u5274\u5269\u5273\u527f\u527d"+
	/* 9998 */ "\u528d\u5294\u5292\u5271\u5288\u5291\u8fa8\u8fa7"+
	/* 99A0 */ "\u52ac\u52ad\u52bc\u52b5\u52c1\u52cd\u52d7\u52de"+
	/* 99A8 */ "\u52e3\u52e6\u98ed\u52e0\u52f3\u52f5\u52f8\u52f9"+
	/* 99B0 */ "\u5306\u5308\u7538\u530d\u5310\u530f\u5315\u531a"+
	/* 99B8 */ "\u5323\u532f\u5331\u5333\u5338\u5340\u5346\u5345"+
	/* 99C0 */ "\u4e17\u5349\u534d\u51d6\u535e\u5369\u536e\u5918"+
	/* 99C8 */ "\u537b\u5377\u5382\u5396\u53a0\u53a6\u53a5\u53ae"+
	/* 99D0 */ "\u53b0\u53b6\u53c3\u7c12\u96d9\u53df\u66fc\u71ee"+
	/* 99D8 */ "\u53ee\u53e8\u53ed\u53fa\u5401\u543d\u5440\u542c"+
	/* 99E0 */ "\u542d\u543c\u542e\u5436\u5429\u541d\u544e\u548f"+
	/* 99E8 */ "\u5475\u548e\u545f\u5471\u5477\u5470\u5492\u547b"+
	/* 99F0 */ "\u5480\u5476\u5484\u5490\u5486\u54c7\u54a2\u54b8"+
	/* 99F8 */ "\u54a5\u54ac\u54c4\u54c8\u54a8"+
	/* 0x9A40 - 0x9AFC */
	/* 9A40 */ "\u54ab\u54c2\u54a4\u54be\u54bc\u54d8\u54e5\u54e6"+
	/* 9A48 */ "\u550f\u5514\u54fd\u54ee\u54ed\u54fa\u54e2\u5539"+
	/* 9A50 */ "\u5540\u5563\u554c\u552e\u555c\u5545\u5556\u5557"+
	/* 9A58 */ "\u5538\u5533\u555d\u5599\u5580\u54af\u558a\u559f"+
	/* 9A60 */ "\u557b\u557e\u5598\u559e\u55ae\u557c\u5583\u55a9"+
	/* 9A68 */ "\u5587\u55a8\u55da\u55c5\u55df\u55c4\u55dc\u55e4"+
	/* 9A70 */ "\u55d4\u5614\u55f7\u5616\u55fe\u55fd\u561b\u55f9"+
	/* 9A78 */ "\u564e\u5650\u71df\u5634\u5636\u5632\u5638\u0000"+
	/* 9A80 */ "\u566b\u5664\u562f\u566c\u566a\u5686\u5680\u568a"+
	/* 9A88 */ "\u56a0\u5694\u568f\u56a5\u56ae\u56b6\u56b4\u56c2"+
	/* 9A90 */ "\u56bc\u56c1\u56c3\u56c0\u56c8\u56ce\u56d1\u56d3"+
	/* 9A98 */ "\u56d7\u56ee\u56f9\u5700\u56ff\u5704\u5709\u5708"+
	/* 9AA0 */ "\u570b\u570d\u5713\u5718\u5716\u55c7\u571c\u5726"+
	/* 9AA8 */ "\u5737\u5738\u574e\u573b\u5740\u574f\u5769\u57c0"+
	/* 9AB0 */ "\u5788\u5761\u577f\u5789\u5793\u57a0\u57b3\u57a4"+
	/* 9AB8 */ "\u57aa\u57b0\u57c3\u57c6\u57d4\u57d2\u57d3\u580a"+
	/* 9AC0 */ "\u57d6\u57e3\u580b\u5819\u581d\u5872\u5821\u5862"+
	/* 9AC8 */ "\u584b\u5870\u6bc0\u5852\u583d\u5879\u5885\u58b9"+
	/* 9AD0 */ "\u589f\u58ab\u58ba\u58de\u58bb\u58b8\u58ae\u58c5"+
	/* 9AD8 */ "\u58d3\u58d1\u58d7\u58d9\u58d8\u58e5\u58dc\u58e4"+
	/* 9AE0 */ "\u58df\u58ef\u58fa\u58f9\u58fb\u58fc\u58fd\u5902"+
	/* 9AE8 */ "\u590a\u5910\u591b\u68a6\u5925\u592c\u592d\u5932"+
	/* 9AF0 */ "\u5938\u593e\u7ad2\u5955\u5950\u594e\u595a\u5958"+
	/* 9AF8 */ "\u5962\u5960\u5967\u596c\u5969"+
	/* 0x9B40 - 0x9BFC */
	/* 9B40 */ "\u5978\u5981\u599d\u4f5e\u4fab\u59a3\u59b2\u59c6"+
	/* 9B48 */ "\u59e8\u59dc\u598d\u59d9\u59da\u5a25\u5a1f\u5a11"+
	/* 9B50 */ "\u5a1c\u5a09\u5a1a\u5a40\u5a6c\u5a49\u5a35\u5a36"+
	/* 9B58 */ "\u5a62\u5a6a\u5a9a\u5abc\u5abe\u5acb\u5ac2\u5abd"+
	/* 9B60 */ "\u5ae3\u5ad7\u5ae6\u5ae9\u5ad6\u5afa\u5afb\u5b0c"+
	/* 9B68 */ "\u5b0b\u5b16\u5b32\u5ad0\u5b2a\u5b36\u5b3e\u5b43"+
	/* 9B70 */ "\u5b45\u5b40\u5b51\u5b55\u5b5a\u5b5b\u5b65\u5b69"+
	/* 9B78 */ "\u5b70\u5b73\u5b75\u5b78\u6588\u5b7a\u5b80\u0000"+
	/* 9B80 */ "\u5b83\u5ba6\u5bb8\u5bc3\u5bc7\u5bc9\u5bd4\u5bd0"+
	/* 9B88 */ "\u5be4\u5be6\u5be2\u5bde\u5be5\u5beb\u5bf0\u5bf6"+
	/* 9B90 */ "\u5bf3\u5c05\u5c07\u5c08\u5c0d\u5c13\u5c20\u5c22"+
	/* 9B98 */ "\u5c28\u5c38\u5c39\u5c41\u5c46\u5c4e\u5c53\u5c50"+
	/* 9BA0 */ "\u5c4f\u5b71\u5c6c\u5c6e\u4e62\u5c76\u5c79\u5c8c"+
	/* 9BA8 */ "\u5c91\u5c94\u599b\u5cab\u5cbb\u5cb6\u5cbc\u5cb7"+
	/* 9BB0 */ "\u5cc5\u5cbe\u5cc7\u5cd9\u5ce9\u5cfd\u5cfa\u5ced"+
	/* 9BB8 */ "\u5d8c\u5cea\u5d0b\u5d15\u5d17\u5d5c\u5d1f\u5d1b"+
	/* 9BC0 */ "\u5d11\u5d14\u5d22\u5d1a\u5d19\u5d18\u5d4c\u5d52"+
	/* 9BC8 */ "\u5d4e\u5d4b\u5d6c\u5d73\u5d76\u5d87\u5d84\u5d82"+
	/* 9BD0 */ "\u5da2\u5d9d\u5dac\u5dae\u5dbd\u5d90\u5db7\u5dbc"+
	/* 9BD8 */ "\u5dc9\u5dcd\u5dd3\u5dd2\u5dd6\u5ddb\u5deb\u5df2"+
	/* 9BE0 */ "\u5df5\u5e0b\u5e1a\u5e19\u5e11\u5e1b\u5e36\u5e37"+
	/* 9BE8 */ "\u5e44\u5e43\u5e40\u5e4e\u5e57\u5e54\u5e5f\u5e62"+
	/* 9BF0 */ "\u5e64\u5e47\u5e75\u5e76\u5e7a\u9ebc\u5e7f\u5ea0"+
	/* 9BF8 */ "\u5ec1\u5ec2\u5ec8\u5ed0\u5ecf"+
	/* 0x9C40 - 0x9CFC */
	/* 9C40 */ "\u5ed6\u5ee3\u5edd\u5eda\u5edb\u5ee2\u5ee1\u5ee8"+
	/* 9C48 */ "\u5ee9\u5eec\u5ef1\u5ef3\u5ef0\u5ef4\u5ef8\u5efe"+
	/* 9C50 */ "\u5f03\u5f09\u5f5d\u5f5c\u5f0b\u5f11\u5f16\u5f29"+
	/* 9C58 */ "\u5f2d\u5f38\u5f41\u5f48\u5f4c\u5f4e\u5f2f\u5f51"+
	/* 9C60 */ "\u5f56\u5f57\u5f59\u5f61\u5f6d\u5f73\u5f77\u5f83"+
	/* 9C68 */ "\u5f82\u5f7f\u5f8a\u5f88\u5f91\u5f87\u5f9e\u5f99"+
	/* 9C70 */ "\u5f98\u5fa0\u5fa8\u5fad\u5fbc\u5fd6\u5ffb\u5fe4"+
	/* 9C78 */ "\u5ff8\u5ff1\u5fdd\u60b3\u5fff\u6021\u6060\u0000"+
	/* 9C80 */ "\u6019\u6010\u6029\u600e\u6031\u601b\u6015\u602b"+
	/* 9C88 */ "\u6026\u600f\u603a\u605a\u6041\u606a\u6077\u605f"+
	/* 9C90 */ "\u604a\u6046\u604d\u6063\u6043\u6064\u6042\u606c"+
	/* 9C98 */ "\u606b\u6059\u6081\u608d\u60e7\u6083\u609a\u6084"+
	/* 9CA0 */ "\u609b\u6096\u6097\u6092\u60a7\u608b\u60e1\u60b8"+
	/* 9CA8 */ "\u60e0\u60d3\u60b4\u5ff0\u60bd\u60c6\u60b5\u60d8"+
	/* 9CB0 */ "\u614d\u6115\u6106\u60f6\u60f7\u6100\u60f4\u60fa"+
	/* 9CB8 */ "\u6103\u6121\u60fb\u60f1\u610d\u610e\u6147\u613e"+
	/* 9CC0 */ "\u6128\u6127\u614a\u613f\u613c\u612c\u6134\u613d"+
	/* 9CC8 */ "\u6142\u6144\u6173\u6177\u6158\u6159\u615a\u616b"+
	/* 9CD0 */ "\u6174\u616f\u6165\u6171\u615f\u615d\u6153\u6175"+
	/* 9CD8 */ "\u6199\u6196\u6187\u61ac\u6194\u619a\u618a\u6191"+
	/* 9CE0 */ "\u61ab\u61ae\u61cc\u61ca\u61c9\u61f7\u61c8\u61c3"+
	/* 9CE8 */ "\u61c6\u61ba\u61cb\u7f79\u61cd\u61e6\u61e3\u61f6"+
	/* 9CF0 */ "\u61fa\u61f4\u61ff\u61fd\u61fc\u61fe\u6200\u6208"+
	/* 9CF8 */ "\u6209\u620d\u620c\u6214\u621b"+
	/* 0x9D40 - 0x9DFC */
	/* 9D40 */ "\u621e\u6221\u622a\u622e\u6230\u6232\u6233\u6241"+
	/* 9D48 */ "\u624e\u625e\u6263\u625b\u6260\u6268\u627c\u6282"+
	/* 9D50 */ "\u6289\u627e\u6292\u6293\u6296\u62d4\u6283\u6294"+
	/* 9D58 */ "\u62d7\u62d1\u62bb\u62cf\u62ff\u62c6\u64d4\u62c8"+
	/* 9D60 */ "\u62dc\u62cc\u62ca\u62c2\u62c7\u629b\u62c9\u630c"+
	/* 9D68 */ "\u62ee\u62f1\u6327\u6302\u6308\u62ef\u62f5\u6350"+
	/* 9D70 */ "\u633e\u634d\u641c\u634f\u6396\u638e\u6380\u63ab"+
	/* 9D78 */ "\u6376\u63a3\u638f\u6389\u639f\u63b5\u636b\u0000"+
	/* 9D80 */ "\u6369\u63be\u63e9\u63c0\u63c6\u63e3\u63c9\u63d2"+
	/* 9D88 */ "\u63f6\u63c4\u6416\u6434\u6406\u6413\u6426\u6436"+
	/* 9D90 */ "\u651d\u6417\u6428\u640f\u6467\u646f\u6476\u644e"+
	/* 9D98 */ "\u652a\u6495\u6493\u64a5\u64a9\u6488\u64bc\u64da"+
	/* 9DA0 */ "\u64d2\u64c5\u64c7\u64bb\u64d8\u64c2\u64f1\u64e7"+
	/* 9DA8 */ "\u8209\u64e0\u64e1\u62ac\u64e3\u64ef\u652c\u64f6"+
	/* 9DB0 */ "\u64f4\u64f2\u64fa\u6500\u64fd\u6518\u651c\u6505"+
	/* 9DB8 */ "\u6524\u6523\u652b\u6534\u6535\u6537\u6536\u6538"+
	/* 9DC0 */ "\u754b\u6548\u6556\u6555\u654d\u6558\u655e\u655d"+
	/* 9DC8 */ "\u6572\u6578\u6582\u6583\u8b8a\u659b\u659f\u65ab"+
	/* 9DD0 */ "\u65b7\u65c3\u65c6\u65c1\u65c4\u65cc\u65d2\u65db"+
	/* 9DD8 */ "\u65d9\u65e0\u65e1\u65f1\u6772\u660a\u6603\u65fb"+
	/* 9DE0 */ "\u6773\u6635\u6636\u6634\u661c\u664f\u6644\u6649"+
	/* 9DE8 */ "\u6641\u665e\u665d\u6664\u6667\u6668\u665f\u6662"+
	/* 9DF0 */ "\u6670\u6683\u6688\u668e\u6689\u6684\u6698\u669d"+
	/* 9DF8 */ "\u66c1\u66b9\u66c9\u66be\u66bc"+
	/* 0x9E40 - 0x9EFC */
	/* 9E40 */ "\u66c4\u66b8\u66d6\u66da\u66e0\u663f\u66e6\u66e9"+
	/* 9E48 */ "\u66f0\u66f5\u66f7\u670f\u6716\u671e\u6726\u6727"+
	/* 9E50 */ "\u9738\u672e\u673f\u6736\u6741\u6738\u6737\u6746"+
	/* 9E58 */ "\u675e\u6760\u6759\u6763\u6764\u6789\u6770\u67a9"+
	/* 9E60 */ "\u677c\u676a\u678c\u678b\u67a6\u67a1\u6785\u67b7"+
	/* 9E68 */ "\u67ef\u67b4\u67ec\u67b3\u67e9\u67b8\u67e4\u67de"+
	/* 9E70 */ "\u67dd\u67e2\u67ee\u67b9\u67ce\u67c6\u67e7\u6a9c"+
	/* 9E78 */ "\u681e\u6846\u6829\u6840\u684d\u6832\u684e\u0000"+
	/* 9E80 */ "\u68b3\u682b\u6859\u6863\u6877\u687f\u689f\u688f"+
	/* 9E88 */ "\u68ad\u6894\u689d\u689b\u6883\u6aae\u68b9\u6874"+
	/* 9E90 */ "\u68b5\u68a0\u68ba\u690f\u688d\u687e\u6901\u68ca"+
	/* 9E98 */ "\u6908\u68d8\u6922\u6926\u68e1\u690c\u68cd\u68d4"+
	/* 9EA0 */ "\u68e7\u68d5\u6936\u6912\u6904\u68d7\u68e3\u6925"+
	/* 9EA8 */ "\u68f9\u68e0\u68ef\u6928\u692a\u691a\u6923\u6921"+
	/* 9EB0 */ "\u68c6\u6979\u6977\u695c\u6978\u696b\u6954\u697e"+
	/* 9EB8 */ "\u696e\u6939\u6974\u693d\u6959\u6930\u6961\u695e"+
	/* 9EC0 */ "\u695d\u6981\u696a\u69b2\u69ae\u69d0\u69bf\u69c1"+
	/* 9EC8 */ "\u69d3\u69be\u69ce\u5be8\u69ca\u69dd\u69bb\u69c3"+
	/* 9ED0 */ "\u69a7\u6a2e\u6991\u69a0\u699c\u6995\u69b4\u69de"+
	/* 9ED8 */ "\u69e8\u6a02\u6a1b\u69ff\u6b0a\u69f9\u69f2\u69e7"+
	/* 9EE0 */ "\u6a05\u69b1\u6a1e\u69ed\u6a14\u69eb\u6a0a\u6a12"+
	/* 9EE8 */ "\u6ac1\u6a23\u6a13\u6a44\u6a0c\u6a72\u6a36\u6a78"+
	/* 9EF0 */ "\u6a47\u6a62\u6a59\u6a66\u6a48\u6a38\u6a22\u6a90"+
	/* 9EF8 */ "\u6a8d\u6aa0\u6a84\u6aa2\u6aa3"+
	/* 0x9F40 - 0x9FFC */
	/* 9F40 */ "\u6a97\u8617\u6abb\u6ac3\u6ac2\u6ab8\u6ab3\u6aac"+
	/* 9F48 */ "\u6ade\u6ad1\u6adf\u6aaa\u6ada\u6aea\u6afb\u6b05"+
	/* 9F50 */ "\u8616\u6afa\u6b12\u6b16\u9b31\u6b1f\u6b38\u6b37"+
	/* 9F58 */ "\u76dc\u6b39\u98ee\u6b47\u6b43\u6b49\u6b50\u6b59"+
	/* 9F60 */ "\u6b54\u6b5b\u6b5f\u6b61\u6b78\u6b79\u6b7f\u6b80"+
	/* 9F68 */ "\u6b84\u6b83\u6b8d\u6b98\u6b95\u6b9e\u6ba4\u6baa"+
	/* 9F70 */ "\u6bab\u6baf\u6bb2\u6bb1\u6bb3\u6bb7\u6bbc\u6bc6"+
	/* 9F78 */ "\u6bcb\u6bd3\u6bdf\u6bec\u6beb\u6bf3\u6bef\u0000"+
	/* 9F80 */ "\u9ebe\u6c08\u6c13\u6c14\u6c1b\u6c24\u6c23\u6c5e"+
	/* 9F88 */ "\u6c55\u6c62\u6c6a\u6c82\u6c8d\u6c9a\u6c81\u6c9b"+
	/* 9F90 */ "\u6c7e\u6c68\u6c73\u6c92\u6c90\u6cc4\u6cf1\u6cd3"+
	/* 9F98 */ "\u6cbd\u6cd7\u6cc5\u6cdd\u6cae\u6cb1\u6cbe\u6cba"+
	/* 9FA0 */ "\u6cdb\u6cef\u6cd9\u6cea\u6d1f\u884d\u6d36\u6d2b"+
	/* 9FA8 */ "\u6d3d\u6d38\u6d19\u6d35\u6d33\u6d12\u6d0c\u6d63"+
	/* 9FB0 */ "\u6d93\u6d64\u6d5a\u6d79\u6d59\u6d8e\u6d95\u6fe4"+
	/* 9FB8 */ "\u6d85\u6df9\u6e15\u6e0a\u6db5\u6dc7\u6de6\u6db8"+
	/* 9FC0 */ "\u6dc6\u6dec\u6dde\u6dcc\u6de8\u6dd2\u6dc5\u6dfa"+
	/* 9FC8 */ "\u6dd9\u6de4\u6dd5\u6dea\u6dee\u6e2d\u6e6e\u6e2e"+
	/* 9FD0 */ "\u6e19\u6e72\u6e5f\u6e3e\u6e23\u6e6b\u6e2b\u6e76"+
	/* 9FD8 */ "\u6e4d\u6e1f\u6e43\u6e3a\u6e4e\u6e24\u6eff\u6e1d"+
	/* 9FE0 */ "\u6e38\u6e82\u6eaa\u6e98\u6ec9\u6eb7\u6ed3\u6ebd"+
	/* 9FE8 */ "\u6eaf\u6ec4\u6eb2\u6ed4\u6ed5\u6e8f\u6ea5\u6ec2"+
	/* 9FF0 */ "\u6e9f\u6f41\u6f11\u704c\u6eec\u6ef8\u6efe\u6f3f"+
        /* 9FF8 */ "\u6ef2\u6f31\u6eef\u6f32\u6ecc";

        static String table2 = 
	/* 0xE040 - 0xE0FC */
	/* E040 */ "\u6f3e\u6f13\u6ef7\u6f86\u6f7a\u6f78\u6f81\u6f80"+
	/* E048 */ "\u6f6f\u6f5b\u6ff3\u6f6d\u6f82\u6f7c\u6f58\u6f8e"+
	/* E050 */ "\u6f91\u6fc2\u6f66\u6fb3\u6fa3\u6fa1\u6fa4\u6fb9"+
	/* E058 */ "\u6fc6\u6faa\u6fdf\u6fd5\u6fec\u6fd4\u6fd8\u6ff1"+
	/* E060 */ "\u6fee\u6fdb\u7009\u700b\u6ffa\u7011\u7001\u700f"+
	/* E068 */ "\u6ffe\u701b\u701a\u6f74\u701d\u7018\u701f\u7030"+
	/* E070 */ "\u703e\u7032\u7051\u7063\u7099\u7092\u70af\u70f1"+
	/* E078 */ "\u70ac\u70b8\u70b3\u70ae\u70df\u70cb\u70dd\u0000"+
	/* E080 */ "\u70d9\u7109\u70fd\u711c\u7119\u7165\u7155\u7188"+
	/* E088 */ "\u7166\u7162\u714c\u7156\u716c\u718f\u71fb\u7184"+
	/* E090 */ "\u7195\u71a8\u71ac\u71d7\u71b9\u71be\u71d2\u71c9"+
	/* E098 */ "\u71d4\u71ce\u71e0\u71ec\u71e7\u71f5\u71fc\u71f9"+
	/* E0A0 */ "\u71ff\u720d\u7210\u721b\u7228\u722d\u722c\u7230"+
	/* E0A8 */ "\u7232\u723b\u723c\u723f\u7240\u7246\u724b\u7258"+
	/* E0B0 */ "\u7274\u727e\u7282\u7281\u7287\u7292\u7296\u72a2"+
	/* E0B8 */ "\u72a7\u72b9\u72b2\u72c3\u72c6\u72c4\u72ce\u72d2"+
	/* E0C0 */ "\u72e2\u72e0\u72e1\u72f9\u72f7\u500f\u7317\u730a"+
	/* E0C8 */ "\u731c\u7316\u731d\u7334\u732f\u7329\u7325\u733e"+
	/* E0D0 */ "\u734e\u734f\u9ed8\u7357\u736a\u7368\u7370\u7378"+
	/* E0D8 */ "\u7375\u737b\u737a\u73c8\u73b3\u73ce\u73bb\u73c0"+
	/* E0E0 */ "\u73e5\u73ee\u73de\u74a2\u7405\u746f\u7425\u73f8"+
	/* E0E8 */ "\u7432\u743a\u7455\u743f\u745f\u7459\u7441\u745c"+
	/* E0F0 */ "\u7469\u7470\u7463\u746a\u7476\u747e\u748b\u749e"+
	/* E0F8 */ "\u74a7\u74ca\u74cf\u74d4\u73f1"+
	/* 0xE140 - 0xE1FC */
	/* E140 */ "\u74e0\u74e3\u74e7\u74e9\u74ee\u74f2\u74f0\u74f1"+
	/* E148 */ "\u74f8\u74f7\u7504\u7503\u7505\u750c\u750e\u750d"+
	/* E150 */ "\u7515\u7513\u751e\u7526\u752c\u753c\u7544\u754d"+
	/* E158 */ "\u754a\u7549\u755b\u7546\u755a\u7569\u7564\u7567"+
	/* E160 */ "\u756b\u756d\u7578\u7576\u7586\u7587\u7574\u758a"+
	/* E168 */ "\u7589\u7582\u7594\u759a\u759d\u75a5\u75a3\u75c2"+
	/* E170 */ "\u75b3\u75c3\u75b5\u75bd\u75b8\u75bc\u75b1\u75cd"+
	/* E178 */ "\u75ca\u75d2\u75d9\u75e3\u75de\u75fe\u75ff\u0000"+
	/* E180 */ "\u75fc\u7601\u75f0\u75fa\u75f2\u75f3\u760b\u760d"+
	/* E188 */ "\u7609\u761f\u7627\u7620\u7621\u7622\u7624\u7634"+
	/* E190 */ "\u7630\u763b\u7647\u7648\u7646\u765c\u7658\u7661"+
	/* E198 */ "\u7662\u7668\u7669\u766a\u7667\u766c\u7670\u7672"+
	/* E1A0 */ "\u7676\u7678\u767c\u7680\u7683\u7688\u768b\u768e"+
	/* E1A8 */ "\u7696\u7693\u7699\u769a\u76b0\u76b4\u76b8\u76b9"+
	/* E1B0 */ "\u76ba\u76c2\u76cd\u76d6\u76d2\u76de\u76e1\u76e5"+
	/* E1B8 */ "\u76e7\u76ea\u862f\u76fb\u7708\u7707\u7704\u7729"+
	/* E1C0 */ "\u7724\u771e\u7725\u7726\u771b\u7737\u7738\u7747"+
	/* E1C8 */ "\u775a\u7768\u776b\u775b\u7765\u777f\u777e\u7779"+
	/* E1D0 */ "\u778e\u778b\u7791\u77a0\u779e\u77b0\u77b6\u77b9"+
	/* E1D8 */ "\u77bf\u77bc\u77bd\u77bb\u77c7\u77cd\u77d7\u77da"+
	/* E1E0 */ "\u77dc\u77e3\u77ee\u77fc\u780c\u7812\u7926\u7820"+
	/* E1E8 */ "\u792a\u7845\u788e\u7874\u7886\u787c\u789a\u788c"+
	/* E1F0 */ "\u78a3\u78b5\u78aa\u78af\u78d1\u78c6\u78cb\u78d4"+
	/* E1F8 */ "\u78be\u78bc\u78c5\u78ca\u78ec"+
	/* 0xE240 - 0xE2FC */
	/* E240 */ "\u78e7\u78da\u78fd\u78f4\u7907\u7912\u7911\u7919"+
	/* E248 */ "\u792c\u792b\u7940\u7960\u7957\u795f\u795a\u7955"+
	/* E250 */ "\u7953\u797a\u797f\u798a\u799d\u79a7\u9f4b\u79aa"+
	/* E258 */ "\u79ae\u79b3\u79b9\u79ba\u79c9\u79d5\u79e7\u79ec"+
	/* E260 */ "\u79e1\u79e3\u7a08\u7a0d\u7a18\u7a19\u7a20\u7a1f"+
	/* E268 */ "\u7980\u7a31\u7a3b\u7a3e\u7a37\u7a43\u7a57\u7a49"+
	/* E270 */ "\u7a61\u7a62\u7a69\u9f9d\u7a70\u7a79\u7a7d\u7a88"+
	/* E278 */ "\u7a97\u7a95\u7a98\u7a96\u7aa9\u7ac8\u7ab0\u0000"+
	/* E280 */ "\u7ab6\u7ac5\u7ac4\u7abf\u9083\u7ac7\u7aca\u7acd"+
	/* E288 */ "\u7acf\u7ad5\u7ad3\u7ad9\u7ada\u7add\u7ae1\u7ae2"+
	/* E290 */ "\u7ae6\u7aed\u7af0\u7b02\u7b0f\u7b0a\u7b06\u7b33"+
	/* E298 */ "\u7b18\u7b19\u7b1e\u7b35\u7b28\u7b36\u7b50\u7b7a"+
	/* E2A0 */ "\u7b04\u7b4d\u7b0b\u7b4c\u7b45\u7b75\u7b65\u7b74"+
	/* E2A8 */ "\u7b67\u7b70\u7b71\u7b6c\u7b6e\u7b9d\u7b98\u7b9f"+
	/* E2B0 */ "\u7b8d\u7b9c\u7b9a\u7b8b\u7b92\u7b8f\u7b5d\u7b99"+
	/* E2B8 */ "\u7bcb\u7bc1\u7bcc\u7bcf\u7bb4\u7bc6\u7bdd\u7be9"+
	/* E2C0 */ "\u7c11\u7c14\u7be6\u7be5\u7c60\u7c00\u7c07\u7c13"+
	/* E2C8 */ "\u7bf3\u7bf7\u7c17\u7c0d\u7bf6\u7c23\u7c27\u7c2a"+
	/* E2D0 */ "\u7c1f\u7c37\u7c2b\u7c3d\u7c4c\u7c43\u7c54\u7c4f"+
	/* E2D8 */ "\u7c40\u7c50\u7c58\u7c5f\u7c64\u7c56\u7c65\u7c6c"+
	/* E2E0 */ "\u7c75\u7c83\u7c90\u7ca4\u7cad\u7ca2\u7cab\u7ca1"+
	/* E2E8 */ "\u7ca8\u7cb3\u7cb2\u7cb1\u7cae\u7cb9\u7cbd\u7cc0"+
	/* E2F0 */ "\u7cc5\u7cc2\u7cd8\u7cd2\u7cdc\u7ce2\u9b3b\u7cef"+
	/* E2F8 */ "\u7cf2\u7cf4\u7cf6\u7cfa\u7d06"+
	/* 0xE340 - 0xE3FC */
	/* E340 */ "\u7d02\u7d1c\u7d15\u7d0a\u7d45\u7d4b\u7d2e\u7d32"+
	/* E348 */ "\u7d3f\u7d35\u7d46\u7d73\u7d56\u7d4e\u7d72\u7d68"+
	/* E350 */ "\u7d6e\u7d4f\u7d63\u7d93\u7d89\u7d5b\u7d8f\u7d7d"+
	/* E358 */ "\u7d9b\u7dba\u7dae\u7da3\u7db5\u7dc7\u7dbd\u7dab"+
	/* E360 */ "\u7e3d\u7da2\u7daf\u7ddc\u7db8\u7d9f\u7db0\u7dd8"+
	/* E368 */ "\u7ddd\u7de4\u7dde\u7dfb\u7df2\u7de1\u7e05\u7e0a"+
	/* E370 */ "\u7e23\u7e21\u7e12\u7e31\u7e1f\u7e09\u7e0b\u7e22"+
	/* E378 */ "\u7e46\u7e66\u7e3b\u7e35\u7e39\u7e43\u7e37\u0000"+
	/* E380 */ "\u7e32\u7e3a\u7e67\u7e5d\u7e56\u7e5e\u7e59\u7e5a"+
	/* E388 */ "\u7e79\u7e6a\u7e69\u7e7c\u7e7b\u7e83\u7dd5\u7e7d"+
	/* E390 */ "\u8fae\u7e7f\u7e88\u7e89\u7e8c\u7e92\u7e90\u7e93"+
	/* E398 */ "\u7e94\u7e96\u7e8e\u7e9b\u7e9c\u7f38\u7f3a\u7f45"+
	/* E3A0 */ "\u7f4c\u7f4d\u7f4e\u7f50\u7f51\u7f55\u7f54\u7f58"+
	/* E3A8 */ "\u7f5f\u7f60\u7f68\u7f69\u7f67\u7f78\u7f82\u7f86"+
	/* E3B0 */ "\u7f83\u7f88\u7f87\u7f8c\u7f94\u7f9e\u7f9d\u7f9a"+
	/* E3B8 */ "\u7fa3\u7faf\u7fb2\u7fb9\u7fae\u7fb6\u7fb8\u8b71"+
	/* E3C0 */ "\u7fc5\u7fc6\u7fca\u7fd5\u7fd4\u7fe1\u7fe6\u7fe9"+
	/* E3C8 */ "\u7ff3\u7ff9\u98dc\u8006\u8004\u800b\u8012\u8018"+
	/* E3D0 */ "\u8019\u801c\u8021\u8028\u803f\u803b\u804a\u8046"+
	/* E3D8 */ "\u8052\u8058\u805a\u805f\u8062\u8068\u8073\u8072"+
	/* E3E0 */ "\u8070\u8076\u8079\u807d\u807f\u8084\u8086\u8085"+
	/* E3E8 */ "\u809b\u8093\u809a\u80ad\u5190\u80ac\u80db\u80e5"+
	/* E3F0 */ "\u80d9\u80dd\u80c4\u80da\u80d6\u8109\u80ef\u80f1"+
	/* E3F8 */ "\u811b\u8129\u8123\u812f\u814b"+
	/* 0xE440 - 0xE4FC */
	/* E440 */ "\u968b\u8146\u813e\u8153\u8151\u80fc\u8171\u816e"+
	/* E448 */ "\u8165\u8166\u8174\u8183\u8188\u818a\u8180\u8182"+
	/* E450 */ "\u81a0\u8195\u81a4\u81a3\u815f\u8193\u81a9\u81b0"+
	/* E458 */ "\u81b5\u81be\u81b8\u81bd\u81c0\u81c2\u81ba\u81c9"+
	/* E460 */ "\u81cd\u81d1\u81d9\u81d8\u81c8\u81da\u81df\u81e0"+
	/* E468 */ "\u81e7\u81fa\u81fb\u81fe\u8201\u8202\u8205\u8207"+
	/* E470 */ "\u820a\u820d\u8210\u8216\u8229\u822b\u8238\u8233"+
	/* E478 */ "\u8240\u8259\u8258\u825d\u825a\u825f\u8264\u0000"+
	/* E480 */ "\u8262\u8268\u826a\u826b\u822e\u8271\u8277\u8278"+
	/* E488 */ "\u827e\u828d\u8292\u82ab\u829f\u82bb\u82ac\u82e1"+
	/* E490 */ "\u82e3\u82df\u82d2\u82f4\u82f3\u82fa\u8393\u8303"+
	/* E498 */ "\u82fb\u82f9\u82de\u8306\u82dc\u8309\u82d9\u8335"+
	/* E4A0 */ "\u8334\u8316\u8332\u8331\u8340\u8339\u8350\u8345"+
	/* E4A8 */ "\u832f\u832b\u8317\u8318\u8385\u839a\u83aa\u839f"+
	/* E4B0 */ "\u83a2\u8396\u8323\u838e\u8387\u838a\u837c\u83b5"+
	/* E4B8 */ "\u8373\u8375\u83a0\u8389\u83a8\u83f4\u8413\u83eb"+
	/* E4C0 */ "\u83ce\u83fd\u8403\u83d8\u840b\u83c1\u83f7\u8407"+
	/* E4C8 */ "\u83e0\u83f2\u840d\u8422\u8420\u83bd\u8438\u8506"+
	/* E4D0 */ "\u83fb\u846d\u842a\u843c\u855a\u8484\u8477\u846b"+
	/* E4D8 */ "\u84ad\u846e\u8482\u8469\u8446\u842c\u846f\u8479"+
	/* E4E0 */ "\u8435\u84ca\u8462\u84b9\u84bf\u849f\u84d9\u84cd"+
	/* E4E8 */ "\u84bb\u84da\u84d0\u84c1\u84c6\u84d6\u84a1\u8521"+
	/* E4F0 */ "\u84ff\u84f4\u8517\u8518\u852c\u851f\u8515\u8514"+
	/* E4F8 */ "\u84fc\u8540\u8563\u8558\u8548"+
	/* 0xE540 - 0xE5FC */
	/* E540 */ "\u8541\u8602\u854b\u8555\u8580\u85a4\u8588\u8591"+
	/* E548 */ "\u858a\u85a8\u856d\u8594\u859b\u85ea\u8587\u859c"+
	/* E550 */ "\u8577\u857e\u8590\u85c9\u85ba\u85cf\u85b9\u85d0"+
	/* E558 */ "\u85d5\u85dd\u85e5\u85dc\u85f9\u860a\u8613\u860b"+
	/* E560 */ "\u85fe\u85fa\u8606\u8622\u861a\u8630\u863f\u864d"+
	/* E568 */ "\u4e55\u8654\u865f\u8667\u8671\u8693\u86a3\u86a9"+
	/* E570 */ "\u86aa\u868b\u868c\u86b6\u86af\u86c4\u86c6\u86b0"+
	/* E578 */ "\u86c9\u8823\u86ab\u86d4\u86de\u86e9\u86ec\u0000"+
	/* E580 */ "\u86df\u86db\u86ef\u8712\u8706\u8708\u8700\u8703"+
	/* E588 */ "\u86fb\u8711\u8709\u870d\u86f9\u870a\u8734\u873f"+
	/* E590 */ "\u8737\u873b\u8725\u8729\u871a\u8760\u875f\u8778"+
	/* E598 */ "\u874c\u874e\u8774\u8757\u8768\u876e\u8759\u8753"+
	/* E5A0 */ "\u8763\u876a\u8805\u87a2\u879f\u8782\u87af\u87cb"+
	/* E5A8 */ "\u87bd\u87c0\u87d0\u96d6\u87ab\u87c4\u87b3\u87c7"+
	/* E5B0 */ "\u87c6\u87bb\u87ef\u87f2\u87e0\u880f\u880d\u87fe"+
	/* E5B8 */ "\u87f6\u87f7\u880e\u87d2\u8811\u8816\u8815\u8822"+
	/* E5C0 */ "\u8821\u8831\u8836\u8839\u8827\u883b\u8844\u8842"+
	/* E5C8 */ "\u8852\u8859\u885e\u8862\u886b\u8881\u887e\u889e"+
	/* E5D0 */ "\u8875\u887d\u88b5\u8872\u8882\u8897\u8892\u88ae"+
	/* E5D8 */ "\u8899\u88a2\u888d\u88a4\u88b0\u88bf\u88b1\u88c3"+
	/* E5E0 */ "\u88c4\u88d4\u88d8\u88d9\u88dd\u88f9\u8902\u88fc"+
	/* E5E8 */ "\u88f4\u88e8\u88f2\u8904\u890c\u890a\u8913\u8943"+
	/* E5F0 */ "\u891e\u8925\u892a\u892b\u8941\u8944\u893b\u8936"+
	/* E5F8 */ "\u8938\u894c\u891d\u8960\u895e"+
	/* 0xE640 - 0xE6FC */
	/* E640 */ "\u8966\u8964\u896d\u896a\u896f\u8974\u8977\u897e"+
	/* E648 */ "\u8983\u8988\u898a\u8993\u8998\u89a1\u89a9\u89a6"+
	/* E650 */ "\u89ac\u89af\u89b2\u89ba\u89bd\u89bf\u89c0\u89da"+
	/* E658 */ "\u89dc\u89dd\u89e7\u89f4\u89f8\u8a03\u8a16\u8a10"+
	/* E660 */ "\u8a0c\u8a1b\u8a1d\u8a25\u8a36\u8a41\u8a5b\u8a52"+
	/* E668 */ "\u8a46\u8a48\u8a7c\u8a6d\u8a6c\u8a62\u8a85\u8a82"+
	/* E670 */ "\u8a84\u8aa8\u8aa1\u8a91\u8aa5\u8aa6\u8a9a\u8aa3"+
	/* E678 */ "\u8ac4\u8acd\u8ac2\u8ada\u8aeb\u8af3\u8ae7\u0000"+
	/* E680 */ "\u8ae4\u8af1\u8b14\u8ae0\u8ae2\u8af7\u8ade\u8adb"+
	/* E688 */ "\u8b0c\u8b07\u8b1a\u8ae1\u8b16\u8b10\u8b17\u8b20"+
	/* E690 */ "\u8b33\u97ab\u8b26\u8b2b\u8b3e\u8b28\u8b41\u8b4c"+
	/* E698 */ "\u8b4f\u8b4e\u8b49\u8b56\u8b5b\u8b5a\u8b6b\u8b5f"+
	/* E6A0 */ "\u8b6c\u8b6f\u8b74\u8b7d\u8b80\u8b8c\u8b8e\u8b92"+
	/* E6A8 */ "\u8b93\u8b96\u8b99\u8b9a\u8c3a\u8c41\u8c3f\u8c48"+
	/* E6B0 */ "\u8c4c\u8c4e\u8c50\u8c55\u8c62\u8c6c\u8c78\u8c7a"+
	/* E6B8 */ "\u8c82\u8c89\u8c85\u8c8a\u8c8d\u8c8e\u8c94\u8c7c"+
	/* E6C0 */ "\u8c98\u621d\u8cad\u8caa\u8cbd\u8cb2\u8cb3\u8cae"+
	/* E6C8 */ "\u8cb6\u8cc8\u8cc1\u8ce4\u8ce3\u8cda\u8cfd\u8cfa"+
	/* E6D0 */ "\u8cfb\u8d04\u8d05\u8d0a\u8d07\u8d0f\u8d0d\u8d10"+
	/* E6D8 */ "\u9f4e\u8d13\u8ccd\u8d14\u8d16\u8d67\u8d6d\u8d71"+
	/* E6E0 */ "\u8d73\u8d81\u8d99\u8dc2\u8dbe\u8dba\u8dcf\u8dda"+
	/* E6E8 */ "\u8dd6\u8dcc\u8ddb\u8dcb\u8dea\u8deb\u8ddf\u8de3"+
	/* E6F0 */ "\u8dfc\u8e08\u8e09\u8dff\u8e1d\u8e1e\u8e10\u8e1f"+
	/* E6F8 */ "\u8e42\u8e35\u8e30\u8e34\u8e4a"+
	/* 0xE740 - 0xE7FC */
	/* E740 */ "\u8e47\u8e49\u8e4c\u8e50\u8e48\u8e59\u8e64\u8e60"+
	/* E748 */ "\u8e2a\u8e63\u8e55\u8e76\u8e72\u8e7c\u8e81\u8e87"+
	/* E750 */ "\u8e85\u8e84\u8e8b\u8e8a\u8e93\u8e91\u8e94\u8e99"+
	/* E758 */ "\u8eaa\u8ea1\u8eac\u8eb0\u8ec6\u8eb1\u8ebe\u8ec5"+
	/* E760 */ "\u8ec8\u8ecb\u8edb\u8ee3\u8efc\u8efb\u8eeb\u8efe"+
	/* E768 */ "\u8f0a\u8f05\u8f15\u8f12\u8f19\u8f13\u8f1c\u8f1f"+
	/* E770 */ "\u8f1b\u8f0c\u8f26\u8f33\u8f3b\u8f39\u8f45\u8f42"+
	/* E778 */ "\u8f3e\u8f4c\u8f49\u8f46\u8f4e\u8f57\u8f5c\u0000"+
	/* E780 */ "\u8f62\u8f63\u8f64\u8f9c\u8f9f\u8fa3\u8fad\u8faf"+
	/* E788 */ "\u8fb7\u8fda\u8fe5\u8fe2\u8fea\u8fef\u9087\u8ff4"+
	/* E790 */ "\u9005\u8ff9\u8ffa\u9011\u9015\u9021\u900d\u901e"+
	/* E798 */ "\u9016\u900b\u9027\u9036\u9035\u9039\u8ff8\u904f"+
	/* E7A0 */ "\u9050\u9051\u9052\u900e\u9049\u903e\u9056\u9058"+
	/* E7A8 */ "\u905e\u9068\u906f\u9076\u96a8\u9072\u9082\u907d"+
	/* E7B0 */ "\u9081\u9080\u908a\u9089\u908f\u90a8\u90af\u90b1"+
	/* E7B8 */ "\u90b5\u90e2\u90e4\u6248\u90db\u9102\u9112\u9119"+
	/* E7C0 */ "\u9132\u9130\u914a\u9156\u9158\u9163\u9165\u9169"+
	/* E7C8 */ "\u9173\u9172\u918b\u9189\u9182\u91a2\u91ab\u91af"+
	/* E7D0 */ "\u91aa\u91b5\u91b4\u91ba\u91c0\u91c1\u91c9\u91cb"+
	/* E7D8 */ "\u91d0\u91d6\u91df\u91e1\u91db\u91fc\u91f5\u91f6"+
	/* E7E0 */ "\u921e\u91ff\u9214\u922c\u9215\u9211\u925e\u9257"+
	/* E7E8 */ "\u9245\u9249\u9264\u9248\u9295\u923f\u924b\u9250"+
	/* E7F0 */ "\u929c\u9296\u9293\u929b\u925a\u92cf\u92b9\u92b7"+
	/* E7F8 */ "\u92e9\u930f\u92fa\u9344\u932e"+
	/* 0xE840 - 0xE8FC */
	/* E840 */ "\u9319\u9322\u931a\u9323\u933a\u9335\u933b\u935c"+
	/* E848 */ "\u9360\u937c\u936e\u9356\u93b0\u93ac\u93ad\u9394"+
	/* E850 */ "\u93b9\u93d6\u93d7\u93e8\u93e5\u93d8\u93c3\u93dd"+
	/* E858 */ "\u93d0\u93c8\u93e4\u941a\u9414\u9413\u9403\u9407"+
	/* E860 */ "\u9410\u9436\u942b\u9435\u9421\u943a\u9441\u9452"+
	/* E868 */ "\u9444\u945b\u9460\u9462\u945e\u946a\u9229\u9470"+
	/* E870 */ "\u9475\u9477\u947d\u945a\u947c\u947e\u9481\u947f"+
	/* E878 */ "\u9582\u9587\u958a\u9594\u9596\u9598\u9599\u0000"+
	/* E880 */ "\u95a0\u95a8\u95a7\u95ad\u95bc\u95bb\u95b9\u95be"+
	/* E888 */ "\u95ca\u6ff6\u95c3\u95cd\u95cc\u95d5\u95d4\u95d6"+
	/* E890 */ "\u95dc\u95e1\u95e5\u95e2\u9621\u9628\u962e\u962f"+
	/* E898 */ "\u9642\u964c\u964f\u964b\u9677\u965c\u965e\u965d"+
	/* E8A0 */ "\u965f\u9666\u9672\u966c\u968d\u9698\u9695\u9697"+
	/* E8A8 */ "\u96aa\u96a7\u96b1\u96b2\u96b0\u96b4\u96b6\u96b8"+
	/* E8B0 */ "\u96b9\u96ce\u96cb\u96c9\u96cd\u894d\u96dc\u970d"+
	/* E8B8 */ "\u96d5\u96f9\u9704\u9706\u9708\u9713\u970e\u9711"+
	/* E8C0 */ "\u970f\u9716\u9719\u9724\u972a\u9730\u9739\u973d"+
	/* E8C8 */ "\u973e\u9744\u9746\u9748\u9742\u9749\u975c\u9760"+
	/* E8D0 */ "\u9764\u9766\u9768\u52d2\u976b\u9771\u9779\u9785"+
	/* E8D8 */ "\u977c\u9781\u977a\u9786\u978b\u978f\u9790\u979c"+
	/* E8E0 */ "\u97a8\u97a6\u97a3\u97b3\u97b4\u97c3\u97c6\u97c8"+
	/* E8E8 */ "\u97cb\u97dc\u97ed\u9f4f\u97f2\u7adf\u97f6\u97f5"+
	/* E8F0 */ "\u980f\u980c\u9838\u9824\u9821\u9837\u983d\u9846"+
	/* E8F8 */ "\u984f\u984b\u986b\u986f\u9870"+
	/* 0xE940 - 0xE9FC */
	/* E940 */ "\u9871\u9874\u9873\u98aa\u98af\u98b1\u98b6\u98c4"+
	/* E948 */ "\u98c3\u98c6\u98e9\u98eb\u9903\u9909\u9912\u9914"+
	/* E950 */ "\u9918\u9921\u991d\u991e\u9924\u9920\u992c\u992e"+
	/* E958 */ "\u993d\u993e\u9942\u9949\u9945\u9950\u994b\u9951"+
	/* E960 */ "\u9952\u994c\u9955\u9997\u9998\u99a5\u99ad\u99ae"+
	/* E968 */ "\u99bc\u99df\u99db\u99dd\u99d8\u99d1\u99ed\u99ee"+
	/* E970 */ "\u99f1\u99f2\u99fb\u99f8\u9a01\u9a0f\u9a05\u99e2"+
	/* E978 */ "\u9a19\u9a2b\u9a37\u9a45\u9a42\u9a40\u9a43\u0000"+
	/* E980 */ "\u9a3e\u9a55\u9a4d\u9a5b\u9a57\u9a5f\u9a62\u9a65"+
	/* E988 */ "\u9a64\u9a69\u9a6b\u9a6a\u9aad\u9ab0\u9abc\u9ac0"+
	/* E990 */ "\u9acf\u9ad1\u9ad3\u9ad4\u9ade\u9adf\u9ae2\u9ae3"+
	/* E998 */ "\u9ae6\u9aef\u9aeb\u9aee\u9af4\u9af1\u9af7\u9afb"+
	/* E9A0 */ "\u9b06\u9b18\u9b1a\u9b1f\u9b22\u9b23\u9b25\u9b27"+
	/* E9A8 */ "\u9b28\u9b29\u9b2a\u9b2e\u9b2f\u9b32\u9b44\u9b43"+
	/* E9B0 */ "\u9b4f\u9b4d\u9b4e\u9b51\u9b58\u9b74\u9b93\u9b83"+
	/* E9B8 */ "\u9b91\u9b96\u9b97\u9b9f\u9ba0\u9ba8\u9bb4\u9bc0"+
	/* E9C0 */ "\u9bca\u9bb9\u9bc6\u9bcf\u9bd1\u9bd2\u9be3\u9be2"+
	/* E9C8 */ "\u9be4\u9bd4\u9be1\u9c3a\u9bf2\u9bf1\u9bf0\u9c15"+
	/* E9D0 */ "\u9c14\u9c09\u9c13\u9c0c\u9c06\u9c08\u9c12\u9c0a"+
	/* E9D8 */ "\u9c04\u9c2e\u9c1b\u9c25\u9c24\u9c21\u9c30\u9c47"+
	/* E9E0 */ "\u9c32\u9c46\u9c3e\u9c5a\u9c60\u9c67\u9c76\u9c78"+
	/* E9E8 */ "\u9ce7\u9cec\u9cf0\u9d09\u9d08\u9ceb\u9d03\u9d06"+
	/* E9F0 */ "\u9d2a\u9d26\u9daf\u9d23\u9d1f\u9d44\u9d15\u9d12"+
	/* E9F8 */ "\u9d41\u9d3f\u9d3e\u9d46\u9d48"+
	/* 0xEA40 - 0xEAFC */
	/* EA40 */ "\u9d5d\u9d5e\u9d64\u9d51\u9d50\u9d59\u9d72\u9d89"+
	/* EA48 */ "\u9d87\u9dab\u9d6f\u9d7a\u9d9a\u9da4\u9da9\u9db2"+
	/* EA50 */ "\u9dc4\u9dc1\u9dbb\u9db8\u9dba\u9dc6\u9dcf\u9dc2"+
	/* EA58 */ "\u9dd9\u9dd3\u9df8\u9de6\u9ded\u9def\u9dfd\u9e1a"+
	/* EA60 */ "\u9e1b\u9e1e\u9e75\u9e79\u9e7d\u9e81\u9e88\u9e8b"+
	/* EA68 */ "\u9e8c\u9e92\u9e95\u9e91\u9e9d\u9ea5\u9ea9\u9eb8"+
	/* EA70 */ "\u9eaa\u9ead\u9761\u9ecc\u9ece\u9ecf\u9ed0\u9ed4"+
	/* EA78 */ "\u9edc\u9ede\u9edd\u9ee0\u9ee5\u9ee8\u9eef\u0000"+
	/* EA80 */ "\u9ef4\u9ef6\u9ef7\u9ef9\u9efb\u9efc\u9efd\u9f07"+
	/* EA88 */ "\u9f08\u76b7\u9f15\u9f21\u9f2c\u9f3e\u9f4a\u9f52"+
	/* EA90 */ "\u9f54\u9f63\u9f5f\u9f60\u9f61\u9f66\u9f67\u9f6c"+
	/* EA98 */ "\u9f6a\u9f77\u9f72\u9f76\u9f95\u9f9c\u9fa0\u582f"+
        /* EAA0 */ "\u69c7\u9059\u7464\u51dc\u7199\u0000\u0000\u0000";

        static String table3 = 
	/* 00A1 */ "\uff61\uff62\uff63\uff64\uff65\uff66\uff67\uff68"+
	/* 00A9 */ "\uff69\uff6a\uff6b\uff6c\uff6d\uff6e\uff6f\uff70"+
	/* 00B1 */ "\uff71\uff72\uff73\uff74\uff75\uff76\uff77\uff78"+
	/* 00B9 */ "\uff79\uff7a\uff7b\uff7c\uff7d\uff7e\uff7f\uff80"+
	/* 00C1 */ "\uff81\uff82\uff83\uff84\uff85\uff86\uff87\uff88"+
	/* 00C9 */ "\uff89\uff8a\uff8b\uff8c\uff8d\uff8e\uff8f\uff90"+
	/* 00D1 */ "\uff91\uff92\uff93\uff94\uff95\uff96\uff97\uff98"+
        /* 00D9 */ "\uff99\uff9a\uff9b\uff9c\uff9d\uff9e\uff9f";

}
